diff --git a/changelog b/changelog
index 346e9f2..eda7bfd 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20080416 tpd src/input/schaum7.input show Schaums-Axiom equivalence
+20080416 tpd src/input/schaum6.input show Schaums-Axiom equivalence
+20080416 tpd src/input/schaum5.input show Schaums-Axiom equivalence
+20080416 tpd src/input/schaum4.input show Schaums-Axiom equivalence
+20080416 tpd src/input/schaum3.input show Schaums-Axiom equivalence
+20080416 tpd src/input/schaum2.input show Schaums-Axiom equivalence
 20080415 tpd src/input/schaum1.input show Schaums-Axiom equivalence
 20080414 tpd src/input/Makefile add integration regression testing	
 20080414 tpd src/input/schaum34.input integrals of csch(ax)
diff --git a/src/input/schaum2.input.pamphlet b/src/input/schaum2.input.pamphlet
index ba16925..184122e 100644
--- a/src/input/schaum2.input.pamphlet
+++ b/src/input/schaum2.input.pamphlet
@@ -7,15 +7,18 @@
 \eject
 \tableofcontents
 \eject
-\section{\cite{1}:14.84~~~~~$\displaystyle\int{\frac{dx}{\sqrt{ax+b}}}$}
-$$\int{\frac{1}{\sqrt{ax+b}}}=\frac{2\sqrt{ax+b}}{a}$$
+\section{\cite{1}:14.84~~~~~$\displaystyle
+\int{\frac{dx}{\sqrt{ax+b}}}$}
+$$\int{\frac{1}{\sqrt{ax+b}}}=
+\frac{2\sqrt{ax+b}}{a}
+$$
 <<*>>=
 )spool schaum2.output
 )set message test on
 )set message auto off
 )clear all
 
---S 1 of 92
+--S 1
 aa:=integrate(1/sqrt(a*x+b),x)
 --R 
 --R
@@ -25,9 +28,8 @@ aa:=integrate(1/sqrt(a*x+b),x)
 --R             a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 2 of 92
+
+--S 2
 bb:=(2*sqrt(a*x+b))/a
 --R 
 --R
@@ -37,9 +39,8 @@ bb:=(2*sqrt(a*x+b))/a
 --R             a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 3 of 92
+
+--S 3      14:84 Schaums and Axiom agree
 cc:=aa-bb
 --R 
 --R
@@ -48,12 +49,15 @@ cc:=aa-bb
 --E
 @
 
-\section{\cite{1}:14.85~~~~~$\displaystyle\int{\frac{x~dx}{\sqrt{ax+b}}}$}
-$$\int{\frac{x}{\sqrt{ax+b}}}=\frac{2(ax-2b)}{3a^2}\sqrt{ax+b}$$
+\section{\cite{1}:14.85~~~~~$\displaystyle
+\int{\frac{x~dx}{\sqrt{ax+b}}}$}
+$$\int{\frac{x}{\sqrt{ax+b}}}=
+\frac{2(ax-2b)}{3a^2}\sqrt{ax+b}
+$$
 <<*>>=
 )clear all
 
---S 4 of 92
+--S 4
 aa:=integrate(x/sqrt(a*x+b),x)
 --R 
 --R
@@ -64,9 +68,8 @@ aa:=integrate(x/sqrt(a*x+b),x)
 --R                 3a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 5 of 92
+
+--S 5
 bb:=(2*(a*x-2*b))/(3*a^2)*sqrt(a*x+b)
 --R 
 --R
@@ -77,9 +80,8 @@ bb:=(2*(a*x-2*b))/(3*a^2)*sqrt(a*x+b)
 --R                 3a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 6 of 92
+
+--S 6      14:85 Schaums and Axiom agree
 cc:=aa-bb
 --R 
 --R
@@ -88,13 +90,15 @@ cc:=aa-bb
 --E
 @
 
-\section{\cite{1}:14.86~~~~~$\displaystyle\int{\frac{x^2~dx}{\sqrt{ax+b}}}$}
+\section{\cite{1}:14.86~~~~~$\displaystyle
+\int{\frac{x^2~dx}{\sqrt{ax+b}}}$}
 $$\int{\frac{x}{\sqrt{ax+b}}}=
-\frac{2(3a^2x^2-4abx+8b^2)}{15a^2}\sqrt{ax+b}$$
+\frac{2(3a^2x^2-4abx+8b^2)}{15a^2}\sqrt{ax+b}
+$$
 <<*>>=
 )clear all
 
---S 7 of 92
+--S 7
 aa:=integrate(x^2/sqrt(a*x+b),x)
 --R 
 --R
@@ -105,9 +109,8 @@ aa:=integrate(x^2/sqrt(a*x+b),x)
 --R                       15a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 8 of 92
+
+--S 8
 bb:=(2*(3*a^2*x^2-4*a*b*x+8*b^2))/(15*a^3)*sqrt(a*x+b)
 --R 
 --R
@@ -118,9 +121,8 @@ bb:=(2*(3*a^2*x^2-4*a*b*x+8*b^2))/(15*a^3)*sqrt(a*x+b)
 --R                       15a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 9 of 92
+
+--S 9      14:86 Schaums and Axiom agree
 cc:=aa-bb
 --R 
 --R
@@ -129,7 +131,8 @@ cc:=aa-bb
 --E
 @
 
-\section{\cite{1}:14.87~~~~~$\displaystyle\int{\frac{dx}{x\sqrt{ax+b}}}$}
+\section{\cite{1}:14.87~~~~~$\displaystyle
+\int{\frac{dx}{x\sqrt{ax+b}}}$}
 $$\int{\frac{1}{x\sqrt{ax+b}}}=
 \left\{
 \begin{array}{l}
@@ -139,13 +142,14 @@ $$\int{\frac{1}{x\sqrt{ax+b}}}=
 \displaystyle
 \frac{2}{\sqrt{-b}}~\tan^{-1}\sqrt{\frac{ax+b}{-b}}
 \end{array}
-\right.$$
+\right.
+$$
 
 Note: the first answer assumes $b > 0$ and the second assumes $b < 0$.
 <<*>>=
 )clear all
 
---S 10 of 92
+--S 10
 aa:=integrate(1/(x*sqrt(a*x+b)),x)
 --R 
 --R
@@ -161,7 +165,7 @@ aa:=integrate(1/(x*sqrt(a*x+b)),x)
 @
 Cleary Spiegel's first answer assumes $b > 0$:
 <<*>>=
---S 11 of 92
+--S 11
 bb1:=1/sqrt(b)*log((sqrt(a*x+b)-sqrt(b))/(sqrt(a*x+b)+sqrt(b)))
 --R 
 --R
@@ -178,7 +182,7 @@ bb1:=1/sqrt(b)*log((sqrt(a*x+b)-sqrt(b))/(sqrt(a*x+b)+sqrt(b)))
 @
 So we try the difference of the two results
 <<*>>=
---S 12 of 92
+--S 12
 cc11:=aa.1-bb1
 --R
 --R               +-------+    +-+             +-------+              +-+
@@ -197,7 +201,7 @@ But the results don't simplify to 0. So we try some other tricks.
 Since both functions are of the form log(f(x))/sqrt(b) we extract
 the f(x) from each. First we get the function from Axiom's first answer:
 <<*>>=
---S 13 of 92
+--S 13
 ff:=exp(aa.1*sqrt(b))
 --R
 --R             +-------+              +-+
@@ -209,7 +213,7 @@ ff:=exp(aa.1*sqrt(b))
 @
 and we get the same form from Spiegel's answer
 <<*>>=
---S 14 of 92
+--S 14
 gg:=exp(bb1*sqrt(b))
 --R
 --R         +-------+    +-+
@@ -226,7 +230,7 @@ denominator by $1 == (sqrt(a*x+b) - sqrt(b))/(sqrt(a*x+b) - sqrt(b))$.
 
 First we multiply the numerator by $(sqrt(a*x+b) - sqrt(b))$
 <<*>>=
---S 15 of 92
+--S 15
 gg1:=gg*(sqrt(a*x+b) - sqrt(b))
 --R
 --R            +-+ +-------+
@@ -239,7 +243,7 @@ gg1:=gg*(sqrt(a*x+b) - sqrt(b))
 @
 Now we multiply the denominator by $(sqrt(a*x+b) - sqrt(b))$
 <<*>>=
---S 16 of 92
+--S 16
 gg2:=gg1/(sqrt(a*x+b) - sqrt(b))
 --R
 --R            +-+ +-------+
@@ -251,7 +255,7 @@ gg2:=gg1/(sqrt(a*x+b) - sqrt(b))
 @
 and now we multiply by the integration constant $a*sqrt(b)$
 <<*>>=
---S 17 of 92
+--S 17
 gg3:=gg2*(a*sqrt(b))
 --R
 --R             +-------+              +-+
@@ -263,7 +267,7 @@ gg3:=gg2*(a*sqrt(b))
 @
 and when we difference this with ff, the Axiom answer we get:
 <<*>>=
---S 18 of 92
+--S 18     14:87a Schaums and Axiom differ by a constant
 ff-gg3
 --R
 --R   (9)  0
@@ -275,7 +279,7 @@ So the constant of integration difference is $a*sqrt(b)$
 Now we look at the second equations. We difference Axiom's second answer
 from Spiegel's answer:
 <<*>>=
---S 19 of 92
+--S 19
 t1:=aa.2-bb1
 --R
 --R                      +-------+    +-+               +---+ +-------+
@@ -292,7 +296,7 @@ t1:=aa.2-bb1
 and again they do not simplify to zero. But we can show that both answers
 differ by a constant because the derivative is zero:
 <<*>>=
---S 20 of 92
+--S 20
 D(t1,x)
 --R
 --R   (11)  0
@@ -303,7 +307,7 @@ D(t1,x)
 Rather than find the constant this time we will differentiate both
 answers and compare them with the original equation.
 <<*>>=
---S 21 of 92
+--S 21
 target:=1/(x*sqrt(a*x+b))
 --R
 --R              1
@@ -315,7 +319,7 @@ target:=1/(x*sqrt(a*x+b))
 @
 and we select the second Axiom solution
 <<*>>=
---S 22 of 92
+--S 22
 aa2:=aa.2
 --R
 --R                  +---+ +-------+
@@ -330,7 +334,7 @@ aa2:=aa.2
 @
 take its derivative
 <<*>>=
---S 23 of 92
+--S 23
 ad2:=D(aa2,x)
 --R
 --R              1
@@ -343,7 +347,7 @@ ad2:=D(aa2,x)
 When we take the difference of Axiom's input and the derivative of the
 output we see:
 <<*>>=
---S 24 of 92
+--S 24
 ad2-target
 --R
 --R   (15)  0
@@ -355,7 +359,7 @@ Thus the original equation and Axiom's derivative of the integral are equal.
 Now we do the same with Spiegel's answer. We take the derivative of his
 answer.
 <<*>>=
---S 25 of 92
+--S 25
 ab1:=D(bb1,x)
 --R
 --R                +-------+    +-+
@@ -368,7 +372,7 @@ ab1:=D(bb1,x)
 @
 and we difference it from the original equation
 <<*>>=
---S 26 of 92
+--S 26     14:87b Schaums and Axiom differ by a constant
 ab1-target
 --R
 --R   (17)  0
@@ -380,13 +384,15 @@ Thus the original equation and Spiegel's derivative of the integral are equal.
 So we can conclude that both second answers are correct although they differ
 by a constant of integration.
 
-\section{\cite{1}:14.88~~~~~$\displaystyle\int{\frac{dx}{x^2\sqrt{ax+b}}}$}
+\section{\cite{1}:14.88~~~~~$\displaystyle
+\int{\frac{dx}{x^2\sqrt{ax+b}}}$}
 $$\int{\frac{1}{x^2\sqrt{ax+b}}}=
--\frac{\sqrt{ax+b}}{bx}-\frac{a}{2b}~\int{\frac{1}{x\sqrt{ax+b}}}$$
+-\frac{\sqrt{ax+b}}{bx}-\frac{a}{2b}~\int{\frac{1}{x\sqrt{ax+b}}}
+$$
 <<*>>=
 )clear all
 
---S 27 of 92
+--S 27
 aa:=integrate(1/(x^2*sqrt(a*x+b)),x)
 --R 
 --R
@@ -412,7 +418,7 @@ aa:=integrate(1/(x^2*sqrt(a*x+b)),x)
 In order to write down the book answer we need to first take the
 integral which has two results
 <<*>>=
---S 28 of 92
+--S 28
 dd:=integrate(1/(x*sqrt(a*x+b)),x)
 --R 
 --R
@@ -429,7 +435,7 @@ dd:=integrate(1/(x*sqrt(a*x+b)),x)
 and derive two results for the book answer. The first result assumes
 $b > 0$
 <<*>>=
---S 29 of 92
+--S 29
 bb1:=-sqrt(a*x+b)/(b*x)-a/(2*b)*dd.1
 --R 
 --R
@@ -445,7 +451,7 @@ bb1:=-sqrt(a*x+b)/(b*x)-a/(2*b)*dd.1
 @
 and the second result assumes $b < 0$.
 <<*>>=
---S 30 of 92
+--S 30
 bb2:=-sqrt(a*x+b)/(b*x)-a/(2*b)*dd.2
 --R 
 --R
@@ -463,7 +469,7 @@ bb2:=-sqrt(a*x+b)/(b*x)-a/(2*b)*dd.2
 So we compute the difference of Axiom's first result with Spiegel's
 first result
 <<*>>=
---S 31 of 92
+--S 31
 cc11:=bb1-aa.1
 --R
 --R   (5)
@@ -484,7 +490,7 @@ cc11:=bb1-aa.1
 @
 we compute its derivative
 <<*>>=
---S 32 of 92
+--S 32
 D(cc11,x)
 --R
 --R   (6)  0
@@ -495,7 +501,7 @@ and we can see that the answers differ by a constant, the constant of
 integration. So Axiom's first answer should differentiate back to the target
 equation.
 <<*>>=
---S 33 of 92
+--S 33
 target:=1/(x^2*sqrt(a*x+b))
 --R
 --R              1
@@ -507,7 +513,7 @@ target:=1/(x^2*sqrt(a*x+b))
 @
 We differentiate Axiom's first answer
 <<*>>=
---S 34 of 92
+--S 34
 ad1:=D(aa.1,x)
 --R
 --R                             +-+ +-------+              2
@@ -520,7 +526,7 @@ ad1:=D(aa.1,x)
 @
 and subtract it from the target equation
 <<*>>=
---S 35 of 92
+--S 35
 ad1-target
 --R
 --R   (9)  0
@@ -529,7 +535,7 @@ ad1-target
 @
 and now we do the same with first Spiegel's answer:
 <<*>>=
---S 36 of 92
+--S 36
 bd1:=D(bb1,x)
 --R
 --R                                +-+ +-------+              2
@@ -542,7 +548,7 @@ bd1:=D(bb1,x)
 @
 and we subtract it from the target
 <<*>>=
---S 37 of 92
+--S 37     
 bd1-target
 --R
 --R   (11)  0
@@ -555,7 +561,7 @@ integrals differ by a constant.
 Now we look at the second answers. We difference the answers and can
 see immediately that they are equal.
 <<*>>=
---S 38 of 92
+--S 38     14:88 Schaums and Axiom differ by a constant
 cc22:=bb2-aa.2
 --R 
 --R
@@ -564,13 +570,15 @@ cc22:=bb2-aa.2
 --E
 @
 
-\section{\cite{1}:14.89~~~~~$\displaystyle\int{\sqrt{ax+b}~dx}$}
+\section{\cite{1}:14.89~~~~~$\displaystyle
+\int{\sqrt{ax+b}~dx}$}
 $$\int{\sqrt{ax+b}}=
-\frac{2\sqrt{(ax+b)^3}}{3a}$$
+\frac{2\sqrt{(ax+b)^3}}{3a}
+$$
 <<*>>=
 )clear all
 
---S 39 of 92
+--S 39
 aa:=integrate(sqrt(a*x+b),x)
 --R 
 --R
@@ -582,7 +590,7 @@ aa:=integrate(sqrt(a*x+b),x)
 --E 
 @
 <<*>>=
---S 40 of 92
+--S 40
 bb:=(2*sqrt((a*x+b)^3))/(3*a)
 --R 
 --R
@@ -595,7 +603,7 @@ bb:=(2*sqrt((a*x+b)^3))/(3*a)
 --E
 @
 <<*>>=
---S 41 of 92
+--S 41
 cc:=aa-bb
 --R
 --R            +----------------------------+
@@ -608,7 +616,7 @@ cc:=aa-bb
 @
 Since this didn't simplify we could check each answer using the derivative
 <<*>>=
---S 42 of 92
+--S 42
 target:=sqrt(a*x+b)
 --R
 --R         +-------+
@@ -618,7 +626,7 @@ target:=sqrt(a*x+b)
 @
 We take the derivative of Axiom's answer
 <<*>>=
---S 43 of 92
+--S 43
 t1:=D(aa,x)
 --R
 --R          a x + b
@@ -630,7 +638,7 @@ t1:=D(aa,x)
 @
 And we subtract the target from the derivative of Axiom's answer
 <<*>>=
---S 44 of 92
+--S 44
 t1-target
 --R
 --R   (6)  0
@@ -639,7 +647,7 @@ t1-target
 @
 So they are equal. Now we do the same with Spiegel's answer
 <<*>>=
---S 45 of 92
+--S 45
 t2:=D(bb,x)
 --R
 --R                2 2             2
@@ -653,7 +661,7 @@ t2:=D(bb,x)
 @
 The numerator is
 <<*>>=
---S 46 of 92
+--S 46
 nn:=(a*x+b)^2
 --R
 --R         2 2             2
@@ -662,7 +670,7 @@ nn:=(a*x+b)^2
 --E
 @
 <<*>>=
---S 47 of 92
+--S 47
 mm:=(a*x+b)^3
 --R
 --R         3 3     2   2       2     3
@@ -672,7 +680,7 @@ mm:=(a*x+b)^3
 @
 which expands to Spiegel's version.
 <<*>>=
---S 48 of 92
+--S 48     14:89 Schaums and Axiom differ by a constant
 result=nn/sqrt(mm)
 --R
 --R                         2 2             2
@@ -686,13 +694,15 @@ result=nn/sqrt(mm)
 @
 and this reduces to $\sqrt{ax+b}$
 
-\section{\cite{1}:14.90~~~~~$\displaystyle\int{x\sqrt{ax+b}~dx}$}
+\section{\cite{1}:14.90~~~~~$\displaystyle
+\int{x\sqrt{ax+b}~dx}$}
 $$\int{x\sqrt{ax+b}}=
-\frac{2(3ax-2b)}{15a^2}~\sqrt{(ax+b)^3}$$
+\frac{2(3ax-2b)}{15a^2}~\sqrt{(ax+b)^3}
+$$
 <<*>>=
 )clear all
 
---S 49 of 92
+--S 49
 aa:=integrate(x*sqrt(a*x+b),x)
 --R 
 --R
@@ -703,9 +713,8 @@ aa:=integrate(x*sqrt(a*x+b),x)
 --R                      15a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 50 of 92
+
+--S 50
 bb:=(2*(3*a*x-2*b))/(15*a^2)*sqrt((a*x+b)^3)
 --R 
 --R
@@ -717,9 +726,8 @@ bb:=(2*(3*a*x-2*b))/(15*a^2)*sqrt((a*x+b)^3)
 --R                           15a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 51 of 92
+
+--S 51
 cc:=aa-bb
 --R
 --R   (3)
@@ -737,15 +745,14 @@ cc:=aa-bb
 @
 If we had the terms
 <<*>>=
---S 52 of 92
+--S 52
 t1:=(3*a*x-2*b)
 --R
 --R   (4)  3a x - 2b
 --R                                                     Type: Polynomial Integer
 --E
-@
-<<*>>=
---S 53 of 92
+
+--S 53
 t2:=(a*x+b)
 --R
 --R   (5)  a x + b
@@ -754,7 +761,7 @@ t2:=(a*x+b)
 @
 We can construct the Axiom result 
 <<*>>=
---S 54 of 92
+--S 54
 2*t1*t2*sqrt(t2)/(15*a^2)
 --R
 --R           2 2              2  +-------+
@@ -767,7 +774,7 @@ We can construct the Axiom result
 @
 and we can construct the Spiegel result
 <<*>>=
---S 55 of 92
+--S 55
 2*t1*sqrt(t2^3)/(15*a^2)
 --R
 --R                    +----------------------------+
@@ -781,7 +788,7 @@ and we can construct the Spiegel result
 @
 the difference of these two depends on
 <<*>>=
---S 56 of 92
+--S 56     14:90 Axiom cannot simplify this expression
 t2*sqrt(t2)-sqrt(t2^3)
 --R
 --R           +----------------------------+
@@ -791,14 +798,16 @@ t2*sqrt(t2)-sqrt(t2^3)
 --E
 @
 
-\section{\cite{1}:14.91~~~~~$\displaystyle\int{x^2\sqrt{ax+b}~dx}$}
+\section{\cite{1}:14.91~~~~~$\displaystyle
+\int{x^2\sqrt{ax+b}~dx}$}
 $$\int{x^2\sqrt{ax+b}}=
-\frac{2(15a^2x^2-12abx+8b^2)}{105a^2}~\sqrt{(a+bx)^3}$$
+\frac{2(15a^2x^2-12abx+8b^2)}{105a^2}~\sqrt{(a+bx)^3}
+$$
 Note: the sqrt term is almost certainly $\sqrt{(ax+b)}$
 <<*>>=
 )clear all
 
---S 57 of 92
+--S 57
 aa:=integrate(x^2*sqrt(a*x+b),x)
 --R 
 --R
@@ -809,9 +818,8 @@ aa:=integrate(x^2*sqrt(a*x+b),x)
 --R                            105a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 58 of 92
+
+--S 58
 bb:=(2*(15*a^2*x^2-12*a*b*x+8*b^2))/(105*a^2)*sqrt((a*x+b)^3)
 --R 
 --R
@@ -823,9 +831,8 @@ bb:=(2*(15*a^2*x^2-12*a*b*x+8*b^2))/(105*a^2)*sqrt((a*x+b)^3)
 --R                                  105a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 59 of 92
+
+--S 59     14:91 Axiom cannot simplify this expression
 cc:=aa-bb
 --R 
 --R
@@ -843,13 +850,15 @@ cc:=aa-bb
 --E
 @
 
-\section{\cite{1}:14.92~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x}~dx}$}
+\section{\cite{1}:14.92~~~~~$\displaystyle
+\int{\frac{\sqrt{ax+b}}{x}~dx}$}
 $$\int{\frac{\sqrt{ax+b}}{x}}=
-2\sqrt{ax+b}+b~\int{\frac{1}{x\sqrt{ax+b}}}$$
+2\sqrt{ax+b}+b~\int{\frac{1}{x\sqrt{ax+b}}}
+$$
 <<*>>=
 )clear all
 
---S 60 of 92
+--S 60
 aa:=integrate(sqrt(a*x+b)/x,x)
 --R 
 --R
@@ -865,9 +874,8 @@ aa:=integrate(sqrt(a*x+b)/x,x)
 --R                    \|- b
 --R                                     Type: Union(List Expression Integer,...)
 --E 
-@
-<<*>>=
---S 61 of 92
+
+--S 61
 dd:=integrate(1/(x*sqrt(a*x+b)),x)
 --R 
 --R
@@ -880,9 +888,8 @@ dd:=integrate(1/(x*sqrt(a*x+b)),x)
 --R                         \|b                             \|- b
 --R                                     Type: Union(List Expression Integer,...)
 --E
-@
-<<*>>=
---S 62 of 92
+
+--S 62
 bb1:=2*sqrt(a*x+b)+b*dd.1
 --R 
 --R
@@ -895,9 +902,8 @@ bb1:=2*sqrt(a*x+b)+b*dd.1
 --R                                  \|b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 63 of 92
+
+--S 63
 bb2:=2*sqrt(a*x+b)+b*dd.2
 --R 
 --R
@@ -910,9 +916,8 @@ bb2:=2*sqrt(a*x+b)+b*dd.2
 --R                             \|- b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 64 of 92
+
+--S 64
 cc11:=bb1-aa.1
 --R 
 --R
@@ -926,9 +931,8 @@ cc11:=bb1-aa.1
 --R                                       \|b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 65 of 92
+
+--S 65
 cc12:=bb1-aa.2
 --R 
 --R
@@ -942,9 +946,8 @@ cc12:=bb1-aa.2
 --R                                        \|b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 66 of 92
+
+--S 66
 cc21:=bb2-aa.1
 --R 
 --R
@@ -958,9 +961,8 @@ cc21:=bb2-aa.1
 --R                                     \|- b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 67 of 92
+
+--S 67     14:92 Axiom cannot simplify this expression
 cc22:=bb2-aa.2
 --R 
 --R
@@ -976,13 +978,15 @@ cc22:=bb2-aa.2
 --E
 @
 
-\section{\cite{1}:14.93~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x^2}~dx}$}
+\section{\cite{1}:14.93~~~~~$\displaystyle
+\int{\frac{\sqrt{ax+b}}{x^2}~dx}$}
 $$\int{\frac{\sqrt{ax+b}}{x^2}}=
--\frac{\sqrt{ax+b}}{x}+\frac{a}{2}~\int{\frac{1}{x\sqrt{ax+b}}}$$
+-\frac{\sqrt{ax+b}}{x}+\frac{a}{2}~\int{\frac{1}{x\sqrt{ax+b}}}
+$$
 <<*>>=
 )clear all
 
---S 68 of 92
+--S 68
 aa:=integrate(sqrt(a*x+b)/x^2,x)
 --R 
 --R
@@ -1003,9 +1007,8 @@ aa:=integrate(sqrt(a*x+b)/x^2,x)
 --R                        x\|- b
 --R                                     Type: Union(List Expression Integer,...)
 --E 
-@
-<<*>>=
---S 69 of 92
+
+--S 69
 dd:=integrate(1/(x*sqrt(a*x+b)),x)
 --R 
 --R
@@ -1018,9 +1021,8 @@ dd:=integrate(1/(x*sqrt(a*x+b)),x)
 --R                         \|b                             \|- b
 --R                                     Type: Union(List Expression Integer,...)
 --E
-@
-<<*>>=
---S 70 of 92
+
+--S 70
 bb1:=-sqrt(a*x+b)/x+a/2*dd.1
 --R 
 --R
@@ -1033,9 +1035,8 @@ bb1:=-sqrt(a*x+b)/x+a/2*dd.1
 --R                                  2x\|b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 71 of 92
+
+--S 71
 bb2:=-sqrt(a*x+b)/x+a/2*dd.2
 --R 
 --R
@@ -1048,18 +1049,16 @@ bb2:=-sqrt(a*x+b)/x+a/2*dd.2
 --R                            x\|- b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 72 of 92
+
+--S 72
 cc11:=bb1-aa.1
 --R 
 --R
 --R   (5)  0
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 73 of 92
+
+--S 73
 cc21:=bb-aa.1
 --R 
 --R
@@ -1073,9 +1072,8 @@ cc21:=bb-aa.1
 --R                                    2x\|b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 74 of 92
+
+--S 74
 cc12:=bb1-aa.2
 --R 
 --R
@@ -1089,9 +1087,8 @@ cc12:=bb1-aa.2
 --R                                   2\|- b \|b
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 75 of 92
+
+--S 75     14:93 Schaums and Axiom agree
 cc22:=bb2-aa.2
 --R 
 --R
@@ -1100,14 +1097,16 @@ cc22:=bb2-aa.2
 --E
 @
 
-\section{\cite{1}:14.94~~~~~$\displaystyle\int{\frac{x^m}{\sqrt{ax+b}}~dx}$}
+\section{\cite{1}:14.94~~~~~$\displaystyle
+\int{\frac{x^m}{\sqrt{ax+b}}~dx}$}
 $$\int{\frac{x^m}{\sqrt{ax+b}}}=
 \frac{2x^m\sqrt{ax+b}}{(2m+1)a}-\frac{2mb}{(2m+1)a}
-~\int{\frac{x^{m-1}}{\sqrt{ax+b}}}$$
+~\int{\frac{x^{m-1}}{\sqrt{ax+b}}}
+$$
 <<*>>=
 )clear all
 
---S 76 of 92
+--S 76     14:94 Axiom cannot do this integral
 aa:=integrate(x^m/sqrt(a*x+b),x)
 --R 
 --R
@@ -1120,14 +1119,16 @@ aa:=integrate(x^m/sqrt(a*x+b),x)
 --E 
 @
 
-\section{\cite{1}:14.95~~~~~$\displaystyle\int{\frac{dx}{x^m\sqrt{ax+b}}}$}
+\section{\cite{1}:14.95~~~~~$\displaystyle
+\int{\frac{dx}{x^m\sqrt{ax+b}}}$}
 $$\int{\frac{1}{x^m\sqrt{ax+b}}}=
 -\frac{\sqrt{ax+b}}{(m-1)bx^{m-1}}-\frac{(2m-3)a}{(2m-2)b}
-~\int{\frac{1}{x^{m-1}\sqrt{ax+b}}}$$
+~\int{\frac{1}{x^{m-1}\sqrt{ax+b}}}
+$$
 <<*>>=
 )clear all
 
---S 77 of 92
+--S 77     14:95 Axiom cannot do this integral
 aa:=integrate(1/(x^m*sqrt(a*x+b)),x)
 --R 
 --R
@@ -1140,14 +1141,16 @@ aa:=integrate(1/(x^m*sqrt(a*x+b)),x)
 --E 
 @
 
-\section{\cite{1}:14.96~~~~~$\displaystyle\int{x^m\sqrt{ax+b}~dx}$}
+\section{\cite{1}:14.96~~~~~$\displaystyle
+\int{x^m\sqrt{ax+b}~dx}$}
 $$\int{x^m\sqrt{ax+b}}=
 \frac{2x^m}{(2m+3)a}(ax+b)^{3/2}
--\frac{2mb}{(2m+3)a}~\int{x^{m-1}\sqrt{ax+b}}$$
+-\frac{2mb}{(2m+3)a}~\int{x^{m-1}\sqrt{ax+b}}
+$$
 <<*>>=
 )clear all
 
---S 78 of 92
+--S 78     14:96 Axiom cannot do this integral
 aa:=integrate(x^m*sqrt(a*x+b),x)
 --R 
 --R
@@ -1159,14 +1162,16 @@ aa:=integrate(x^m*sqrt(a*x+b),x)
 --E 
 @
 
-\section{\cite{1}:14.97~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x^m}~dx}$}
+\section{\cite{1}:14.97~~~~~$\displaystyle
+\int{\frac{\sqrt{ax+b}}{x^m}~dx}$}
 $$\int{\frac{\sqrt{ax+b}}{x^m}}=
 -\frac{\sqrt{ax+b}}{(m-1)x^{m-1}}
-+\frac{a}{2(m-1)}~\int{\frac{1}{x^{m-1}\sqrt{ax+b}}}$$
++\frac{a}{2(m-1)}~\int{\frac{1}{x^{m-1}\sqrt{ax+b}}}
+$$
 <<*>>=
 )clear all
 
---S 79 of 92
+--S 79     14:97 Axiom cannot do this integral
 aa:=integrate(sqrt(a*x+b)/x^m,x)
 --R 
 --R
@@ -1179,15 +1184,17 @@ aa:=integrate(sqrt(a*x+b)/x^m,x)
 --E 
 @
 
-\section{\cite{1}:14.98~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x^m}~dx}$}
+\section{\cite{1}:14.98~~~~~$\displaystyle
+\int{\frac{\sqrt{ax+b}}{x^m}~dx}$}
 $$\int{\frac{\sqrt{ax+b}}{x^m}}=
 \frac{-(ax+b)^{3/2}}{(m-1)bx^{m-1}}
--\frac{(2m-5)a}{(2m-2)b}~\int{\frac{\sqrt{ax+b}}{x^{m-1}}}$$
+-\frac{(2m-5)a}{(2m-2)b}~\int{\frac{\sqrt{ax+b}}{x^{m-1}}}
+$$
 Note: 14.98 is the same as 14.97
 <<*>>=
 )clear all
 
---S 80 of 92
+--S 80     14:98 Axiom cannot do this integral
 aa:=integrate(sqrt(a*x+b)/x^m,x)
 --R 
 --R
@@ -1200,13 +1207,15 @@ aa:=integrate(sqrt(a*x+b)/x^m,x)
 --E 
 @
 
-\section{\cite{1}:14.99~~~~~$\displaystyle\int{(ax+b)^{m/2}~dx}$}
+\section{\cite{1}:14.99~~~~~$\displaystyle
+\int{(ax+b)^{m/2}~dx}$}
 $$\int{(ax+b)^{m/2}}=
-\frac{2(ax+b)^{(m+2)/2}}{a(m+2)}$$
+\frac{2(ax+b)^{(m+2)/2}}{a(m+2)}
+$$
 <<*>>=
 )clear all
 
---S 81 of 92
+--S 81
 aa:=integrate((a*x+b)^(m/2),x)
 --R 
 --R
@@ -1218,9 +1227,8 @@ aa:=integrate((a*x+b)^(m/2),x)
 --R                  a m + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 82 of 92
+
+--S 82
 bb:=(2*(a*x+b)^((m+2)/2))/(a*(m+2))
 --R 
 --R
@@ -1232,9 +1240,8 @@ bb:=(2*(a*x+b)^((m+2)/2))/(a*(m+2))
 --R            a m + 2a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 83 of 92
+
+--S 83     14:99 Axiom cannot simplify this expression
 cc:=aa-bb
 --R 
 --R
@@ -1248,14 +1255,16 @@ cc:=aa-bb
 --E
 @
 
-\section{\cite{1}:14.100~~~~~$\displaystyle\int{x(ax+b)^{m/2}~dx}$}
+\section{\cite{1}:14.100~~~~~$\displaystyle
+\int{x(ax+b)^{m/2}~dx}$}
 $$\int{x(ax+b)^{m/2}}=
 \frac{2(ax+b)^{(m+4)/2}}{a^2(m+4)}
--\frac{2b(ax+b)^{(m+2)/2}}{a^2(m+2)}$$
+-\frac{2b(ax+b)^{(m+2)/2}}{a^2(m+2)}
+$$
 <<*>>=
 )clear all
 
---S 84 of 92
+--S 84
 aa:=integrate(x*(a*x+b)^(m/2),x)
 --R 
 --R
@@ -1268,9 +1277,8 @@ aa:=integrate(x*(a*x+b)^(m/2),x)
 --R                        a m  + 6a m + 8a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 85 of 92
+
+--S 85
 bb:=(2*(a*x+b)^((m+4)/2))/(a^2*(m+4))-(2*b*(a*x+b)^((m+2)/2))/(a^2*(m+2))
 --R 
 --R
@@ -1283,9 +1291,8 @@ bb:=(2*(a*x+b)^((m+4)/2))/(a^2*(m+4))-(2*b*(a*x+b)^((m+2)/2))/(a^2*(m+2))
 --R                          a m  + 6a m + 8a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 86 of 92
+
+--S 86     14:100 Axiom cannot simplify this expression
 cc:=aa-bb
 --R 
 --R
@@ -1306,15 +1313,17 @@ cc:=aa-bb
 --E
 @
 
-\section{\cite{1}:14.101~~~~~$\displaystyle\int{x^2(ax+b)^{m/2}~dx}$}
+\section{\cite{1}:14.101~~~~~$\displaystyle
+\int{x^2(ax+b)^{m/2}~dx}$}
 $$\int{x^2(ax+b)^{m/2}}=
 \frac{2(ax+b)^{(m+6)/2}}{a^3(m+6)}
 -\frac{4b(ax+b)^{(m+4)/2}}{a^3(m+4)}
-+\frac{2b^2(ax+b)^{(m+2)/2}}{a^3(m+2)}$$
++\frac{2b^2(ax+b)^{(m+2)/2}}{a^3(m+2)}
+$$
 <<*>>=
 )clear all
 
---S 87 of 92
+--S 87
 aa:=integrate(x^2*(a*x+b)^(m/2),x)
 --R 
 --R
@@ -1331,9 +1340,8 @@ aa:=integrate(x^2*(a*x+b)^(m/2),x)
 --R     a m  + 12a m  + 44a m + 48a
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 88 of 92
+
+--S 88
 bb:=(2*(a*x+b)^((m+6)/2))/(a^3*(m+6))-_
       (4*b*(a*x+b)^((m+4)/2))/(a^3*(m+4))+_
         (2*b^2*(a*x+b)^((m+2)/2))/(a^3*(m+2))
@@ -1354,9 +1362,8 @@ bb:=(2*(a*x+b)^((m+6)/2))/(a^3*(m+6))-_
 --R     a m  + 12a m  + 44a m + 48a
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 89 of 92
+
+--S 89     14:101 Axiom cannot simplify this expression
 cc:=aa-bb
 --R 
 --R
@@ -1385,14 +1392,16 @@ cc:=aa-bb
 --E
 @
 
-\section{\cite{1}:14.102~~~~~$\displaystyle\int{\frac{(ax+b)^{m/2}}{x}~dx}$}
+\section{\cite{1}:14.102~~~~~$\displaystyle
+\int{\frac{(ax+b)^{m/2}}{x}~dx}$}
 $$\int{\frac{(ax+b)^{m/2}}{x}}=
 \frac{2(ax+b)^{m/2}}{m}
-+b~\int{\frac{(ax+b)^{(m-2)/2}}{x}}$$
++b~\int{\frac{(ax+b)^{(m-2)/2}}{x}}
+$$
 <<*>>=
 )clear all
 
---S 90 of 92
+--S 90     14:102 Axiom cannot do this integral
 aa:=integrate((a*x+b)^(m/2)/x,x)
 --R 
 --R
@@ -1409,11 +1418,12 @@ aa:=integrate((a*x+b)^(m/2)/x,x)
 \int{\frac{(ax+b)^{m/2}}{x^2}~dx}$}
 $$\int{\frac{(ax+b)^{m/2}}{x^2}}=
 -\frac{(ax+b)^{(m+2)/2}}{bx}
-+\frac{ma}{2b}~\int{\frac{(ax+b)^{m/2}}{x}}$$
++\frac{ma}{2b}~\int{\frac{(ax+b)^{m/2}}{x}}
+$$
 <<*>>=
 )clear all
 
---S 91 of 92
+--S 91     14:103 Axiom cannot do this integral
 aa:=integrate((a*x+b)^(m/2)/x^2,x)
 --R 
 --R
@@ -1431,11 +1441,12 @@ aa:=integrate((a*x+b)^(m/2)/x^2,x)
 \int{\frac{dx}{x(ax+b)^{m/2}}}$}
 $$\int{\frac{1}{x(ax+b)^{m/2}}}=
 \frac{2}{(m-2)b(ax+b)^{(m-2)/2}}
-+\frac{1}{b}~\int{\frac{1}{x(ax+b)^{(m-2)/2}}}$$
++\frac{1}{b}~\int{\frac{1}{x(ax+b)^{(m-2)/2}}}
+$$
 <<*>>=
 )clear all
 
---S 92 of 92
+--S 92     14:104 Axiom cannot do this integral
 aa:=integrate(1/(x*(a*x+b)^(m/2)),x)
 --R 
 --R
@@ -1448,9 +1459,7 @@ aa:=integrate(1/(x*(a*x+b)^(m/2)),x)
 --I             %L (b + %L a)
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
 
-<<*>>=
 )spool
 )lisp (bye)
 @
diff --git a/src/input/schaum3.input.pamphlet b/src/input/schaum3.input.pamphlet
index e1e030d..bed98c8 100644
--- a/src/input/schaum3.input.pamphlet
+++ b/src/input/schaum3.input.pamphlet
@@ -16,7 +16,7 @@ $$\int{\frac{1}{(ax+b)(px+q)}}=
 )set message auto off
 )clear all
 
---S 1 of 11
+--S 1
 aa:=integrate(1/((a*x+b)*(p*x+q)),x)
 --R 
 --R
@@ -25,9 +25,8 @@ aa:=integrate(1/((a*x+b)*(p*x+q)),x)
 --R                  a q - b p
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 2 of 11
+
+--S 2
 bb:=1/(b*p-a*q)*log((p*x+q)/(a*x+b))
 --R 
 --R
@@ -38,9 +37,8 @@ bb:=1/(b*p-a*q)*log((p*x+q)/(a*x+b))
 --R            a q - b p
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 3 of 11
+
+--S 3
 cc:=aa-bb
 --R 
 --R
@@ -51,6 +49,41 @@ cc:=aa-bb
 --R                          a q - b p
 --R                                                     Type: Expression Integer
 --E
+
+--S 4
+logdiv:=rule(log(a)-log(b) == log(a/b))
+--R
+--R                                      a
+--I   (4)  - log(b) + log(a) + %I == log(-) + %I
+--R                                      b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 5
+dd:=logdiv cc
+--R
+--R                              1
+--R        log(a x + b) + log(-------)
+--R                           a x + b
+--R   (5)  ---------------------------
+--R                 a q - b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 6
+logmul:=rule(log(a)+log(b) == log(a*b))
+--R
+--I   (6)  log(b) + log(a) + %J == log(a b) + %J
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 7      14:105 Schaums and Axiom agree
+ee:=logmul dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.106~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)(px+q)}}$}
@@ -59,7 +92,7 @@ $$\int{\frac{x}{(ax+b)(px+q)}}=
 <<*>>=
 )clear all
 
---S 4 of 11
+--S 8
 aa:=integrate(x/((a*x+b)*(p*x+q)),x)
 --R 
 --R
@@ -69,9 +102,8 @@ aa:=integrate(x/((a*x+b)*(p*x+q)),x)
 --R                   a p q - a b p
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 5 of 11
+
+--S 9
 bb:=1/(b*p-a*q)*(b/a*log(a*x+b)-q/p*log(p*x+q))
 --R 
 --R
@@ -81,9 +113,8 @@ bb:=1/(b*p-a*q)*(b/a*log(a*x+b)-q/p*log(p*x+q))
 --R                   a p q - a b p
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 6 of 11
+
+--S 10     14:106 Schaums and Axiom agree
 cc:=aa-bb
 --R 
 --R
@@ -100,7 +131,7 @@ $$\int{\frac{1}{(ax+b)^2(px+q)}}=
 <<*>>=
 )clear all
 
---S 7 of 11
+--S 11
 aa:=integrate(1/((a*x+b)^2*(p*x+q)),x)
 --R 
 --R
@@ -110,9 +141,8 @@ aa:=integrate(1/((a*x+b)^2*(p*x+q)),x)
 --R               (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + b p
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 8 of 11
+
+--S 12
 bb:=1/(b*p-a*q)*(1/(a*x+b)+p/(b*p-a*q)*log((p*x+q)/(a*x+b)))
 --R 
 --R
@@ -124,9 +154,8 @@ bb:=1/(b*p-a*q)*(1/(a*x+b)+p/(b*p-a*q)*log((p*x+q)/(a*x+b)))
 --R        (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + b p
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 9 of 11
+
+--S 13
 cc:=aa-bb
 --R 
 --R
@@ -138,6 +167,23 @@ cc:=aa-bb
 --R                     a q  - 2a b p q + b p
 --R                                                     Type: Expression Integer
 --E
+
+--S 14
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 15     14:107 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.108~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)^2(px+q)}}$}
@@ -149,7 +195,7 @@ $$\int{\frac{x}{(ax+b)^2(px+q)}}=
 <<*>>=
 )clear all
 
---S 10 of 11
+--S 16
 aa:=integrate(x/((a*x+b)^2*(p*x+q)),x)
 --R 
 --R
@@ -161,9 +207,8 @@ aa:=integrate(x/((a*x+b)^2*(p*x+q)),x)
 --R            (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + a b p
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 11 of 11
+
+--S 17
 bb:=1/(b*p-a*q)*(q/(b*p-a*q)*log((a*x+b)/(p*x+q))-b/(a*(a*x+b)))
 --R 
 --R
@@ -175,8 +220,8 @@ bb:=1/(b*p-a*q)*(q/(b*p-a*q)*log((a*x+b)/(p*x+q))-b/(a*(a*x+b)))
 --R        (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + a b p
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
+
+--S 18
 cc:=aa-bb
 --R 
 --R
@@ -188,6 +233,22 @@ cc:=aa-bb
 --R                      a q  - 2a b p q + b p
 --R                                                     Type: Expression Integer
 --E
+
+--S 19
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 20     14:108 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.109~~~~~$\displaystyle
@@ -198,7 +259,7 @@ $$\frac{b^2}{(bp-aq)a^2(ax+b)}+\frac{1}{(bp-aq)^2}
 <<*>>=
 )clear all
 
---S 
+--S 21
 aa:=integrate(x^2/((a*x+b)^2*(p*x+q)),x)
 --R 
 --R
@@ -213,9 +274,8 @@ aa:=integrate(x^2/((a*x+b)^2*(p*x+q)),x)
 --R     (a p q  - 2a b p q + a b p )x + a b p q  - 2a b p q + a b p
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 
+
+--S 22
 bb:=b^2/((b*p-a*q)*a^2*(a*x+b))+_
      1/(b*p-a*q)^2*(q^2/p*log(p*x+q)+((b*(b*p-2*a*q))/a^2)*log(a*x+b))
 --R 
@@ -231,9 +291,8 @@ bb:=b^2/((b*p-a*q)*a^2*(a*x+b))+_
 --R     (a p q  - 2a b p q + a b p )x + a b p q  - 2a b p q + a b p
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 
+
+--S 23     14:109 Schaums and Axiom agree
 cc:=aa-bb
 --R 
 --R
@@ -250,7 +309,7 @@ a(m+n-2)~\int{\frac{1}{(ax+b)^m(px+q)^{n-1}}}\right\}$$
 <<*>>=
 )clear all
 
---S 
+--S 24     14:110 Axiom cannot do this integral
 aa:=integrate(1/((a*x+b)^m*(p*x+q)^n),x)
 --R 
 --R
@@ -261,81 +320,14 @@ aa:=integrate(1/((a*x+b)^m*(p*x+q)^n),x)
 --I             (b + %L a) (q + %L p)
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 
-dd:=integrate(1/((a*x+b)^m*(p*x+q)^(n-1)),x)
---R 
---R
---R           x
---R         ++               1
---I   (2)   |   -------------------------- d%L
---R        ++             m          n - 1
---I             (b + %L a) (q + %L p)
---R                                          Type: Union(Expression Integer,...)
---E
-@
 
-<<*>>=
---S 
-bb:=-1/((n-1)*(b*p-a*q))*(1/((a*x+b)^(m-1)*(p*x+q)^(n-1))+a*(m+n-2)*dd)
---R 
---R
---R   (3)
---R                                  m - 1         n - 1
---R         (a n + a m - 2a)(a x + b)     (p x + q)
---R      *
---R            x
---R          ++               1
---I          |   -------------------------- d%L
---R         ++             m          n - 1
---I              (b + %L a) (q + %L p)
---R     + 
---R       1
---R  /
---R                                         m - 1         n - 1
---R     ((a n - a)q + (- b n + b)p)(a x + b)     (p x + q)
---R                                                     Type: Expression Integer
---E
 @
-<<*>>=
---S 
-cc:=aa-bb
---R 
---R
---R   (4)
---R                                    m - 1         n - 1
---R         (- a n - a m + 2a)(a x + b)     (p x + q)
---R      *
---R            x
---R          ++               1
---I          |   -------------------------- d%L
---R         ++             m          n - 1
---I              (b + %L a) (q + %L p)
---R     + 
---R                                             m - 1         n - 1
---R         ((a n - a)q + (- b n + b)p)(a x + b)     (p x + q)
---R      *
---R            x
---R          ++             1
---I          |   ---------------------- d%L
---R         ++             m          n
---I              (b + %L a) (q + %L p)
---R     + 
---R       - 1
---R  /
---R                                         m - 1         n - 1
---R     ((a n - a)q + (- b n + b)p)(a x + b)     (p x + q)
---R                                                     Type: Expression Integer
---E
-@
-
 \section{\cite{1}:14.111~~~~~$\displaystyle\int{\frac{ax+b}{px+q}~dx}$}
 $$\int{\frac{ax+b}{px+q}}=\frac{ax}{p}+\frac{bp-aq}{p^2}~\ln(px+q)$$
 <<*>>=
 )clear all
 
---S 
+--S 25
 aa:=integrate((a*x+b)/(p*x+q),x)
 --R 
 --R
@@ -345,9 +337,8 @@ aa:=integrate((a*x+b)/(p*x+q),x)
 --R                        p
 --R                                          Type: Union(Expression Integer,...)
 --E 
-@
-<<*>>=
---S 
+
+--S 26
 bb:=(a*x)/p+(b*p-a*q)/p^2*log(p*x+q)
 --R 
 --R
@@ -357,9 +348,8 @@ bb:=(a*x)/p+(b*p-a*q)/p^2*log(p*x+q)
 --R                        p
 --R                                                     Type: Expression Integer
 --E
-@
-<<*>>=
---S 
+
+--S 27     14:111 Schaums and Axiom agree
 cc:=aa-bb
 --R 
 --R
@@ -383,7 +373,7 @@ $$\int{\frac{(ax+b)^m}{(px+q)^n}}=\left\{
 <<*>>=
 )clear all
 
---S 
+--S 28     14:112 Axiom cannot do this integral
 aa:=integrate((a*x+b)^m/(p*x+q)^n,x)
 --R 
 --R
@@ -393,7 +383,6 @@ aa:=integrate((a*x+b)^m/(p*x+q)^n,x)
 --R        ++             n
 --I             (q + %L p)
 --R                                          Type: Union(Expression Integer,...)
---R
 --E
 <<*>>=
 )spool
diff --git a/src/input/schaum4.input.pamphlet b/src/input/schaum4.input.pamphlet
index efd9edc..0edbbf9 100644
--- a/src/input/schaum4.input.pamphlet
+++ b/src/input/schaum4.input.pamphlet
@@ -16,7 +16,7 @@ $$\int{\frac{px+q}{\sqrt{ax+b}}}=
 )set message auto off
 )clear all
 
---S 1 of 7
+--S 1
 aa:=integrate((p*x+q)/sqrt(a*x+b),x)
 --R 
 --R
@@ -27,6 +27,24 @@ aa:=integrate((p*x+q)/sqrt(a*x+b),x)
 --R                       3a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=(2*(a*p*x+3*a*q-2*b*p))/(3*a^2)*sqrt(a*x+b)
+--R
+--R                               +-------+
+--R        (2a p x + 6a q - 4b p)\|a x + b
+--R   (2)  --------------------------------
+--R                         2
+--R                       3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:113 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.114~~~~~$\displaystyle
@@ -43,7 +61,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 7
+--S 4
 aa:=integrate(1/((p*x+q)*sqrt(a*x+b)),x)
 --R 
 --R
@@ -68,6 +86,157 @@ aa:=integrate(1/((p*x+q)*sqrt(a*x+b)),x)
 --R             \|a p q - b p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 5
+aa1:=aa.1
+--R
+--R   (2)
+--R                                                         +--------------+
+--R                     2  +-------+                        |             2
+--R       (2a p q - 2b p )\|a x + b  + (a p x - a q + 2b p)\|- a p q + b p
+--R   log(------------------------------------------------------------------)
+--R                                     p x + q
+--R   -----------------------------------------------------------------------
+--R                               +--------------+
+--R                               |             2
+--R                              \|- a p q + b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 6
+aa2:=aa.2
+--R
+--R               +------------+
+--R               |           2  +-------+
+--R              \|a p q - b p  \|a x + b
+--R        2atan(-------------------------)
+--R                      a q - b p
+--R   (3)  --------------------------------
+--R                  +------------+
+--R                  |           2
+--R                 \|a p q - b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 7
+bb1:=1/sqrt(b*p-a*q)*log((sqrt(p*(a*x+b))-sqrt(b*p-a*q))/(sqrt(p*(a*x+b))+sqrt(b*p-a*q)))
+--R
+--R             +-----------+    +-----------+
+--R            \|a p x + b p  - \|- a q + b p
+--R        log(-------------------------------)
+--R             +-----------+    +-----------+
+--R            \|a p x + b p  + \|- a q + b p
+--R   (4)  ------------------------------------
+--R                    +-----------+
+--R                   \|- a q + b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 8
+bb2:=2/(sqrt(a*q-b*p)*sqrt(p))*atan(sqrt((p*(a*x+b))/(a*q-b*p)))
+--R
+--R               +-----------+
+--R               |a p x + b p
+--R        2atan( |----------- )
+--R              \| a q - b p
+--R   (5)  ---------------------
+--R            +-+ +---------+
+--R           \|p \|a q - b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 9
+cc1:=aa1-bb1
+--R
+--R   (6)
+--R          +-----------+
+--R         \|- a q + b p
+--R      *
+--R                                                             +--------------+
+--R                         2  +-------+                        |             2
+--R           (2a p q - 2b p )\|a x + b  + (a p x - a q + 2b p)\|- a p q + b p
+--R       log(------------------------------------------------------------------)
+--R                                         p x + q
+--R     + 
+--R          +--------------+     +-----------+    +-----------+
+--R          |             2     \|a p x + b p  - \|- a q + b p
+--R       - \|- a p q + b p  log(-------------------------------)
+--R                               +-----------+    +-----------+
+--R                              \|a p x + b p  + \|- a q + b p
+--R  /
+--R      +--------------+
+--R      |             2  +-----------+
+--R     \|- a p q + b p  \|- a q + b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 10
+cc2:=aa1-bb2
+--R
+--R   (7)
+--R          +-+ +---------+
+--R         \|p \|a q - b p
+--R      *
+--R                                                             +--------------+
+--R                         2  +-------+                        |             2
+--R           (2a p q - 2b p )\|a x + b  + (a p x - a q + 2b p)\|- a p q + b p
+--R       log(------------------------------------------------------------------)
+--R                                         p x + q
+--R     + 
+--R           +--------------+      +-----------+
+--R           |             2       |a p x + b p
+--R       - 2\|- a p q + b p  atan( |----------- )
+--R                                \| a q - b p
+--R  /
+--R      +--------------+
+--R      |             2  +-+ +---------+
+--R     \|- a p q + b p  \|p \|a q - b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+cc3:=aa2-bb1
+--R
+--R   (8)
+--R          +------------+     +-----------+    +-----------+
+--R          |           2     \|a p x + b p  - \|- a q + b p
+--R       - \|a p q - b p  log(-------------------------------)
+--R                             +-----------+    +-----------+
+--R                            \|a p x + b p  + \|- a q + b p
+--R     + 
+--R                            +------------+
+--R                            |           2  +-------+
+--R         +-----------+     \|a p q - b p  \|a x + b
+--R       2\|- a q + b p atan(-------------------------)
+--R                                   a q - b p
+--R  /
+--R                    +------------+
+--R      +-----------+ |           2
+--R     \|- a q + b p \|a p q - b p
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:114 Axiom cannot simplify these answers
+cc4:=aa2-bb2
+--R
+--R   (9)
+--R                              +------------+
+--R                              |           2  +-------+
+--R         +-+ +---------+     \|a p q - b p  \|a x + b
+--R       2\|p \|a q - b p atan(-------------------------)
+--R                                     a q - b p
+--R     + 
+--R           +------------+      +-----------+
+--R           |           2       |a p x + b p
+--R       - 2\|a p q - b p  atan( |----------- )
+--R                              \| a q - b p
+--R  /
+--R                      +------------+
+--R      +-+ +---------+ |           2
+--R     \|p \|a q - b p \|a p q - b p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.115~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{px+q}}~dx$}
@@ -83,7 +252,7 @@ $$\int{\frac{\sqrt{ax+b}}{px+q}}=
 <<*>>=
 )clear all
 
---S 3 of 7
+--S 13
 aa:=integrate(sqrt(a*x+b)/(p*x+q),x)
 --R 
 --R
@@ -112,6 +281,150 @@ aa:=integrate(sqrt(a*x+b)/(p*x+q),x)
 --R                           p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 14
+aa1:=aa.1
+--R
+--R   (2)
+--R                              +-----------+
+--R                              |- a q + b p  +-------+
+--R        +-----------+    - 2p |----------- \|a x + b  + a p x - a q + 2b p
+--R        |- a q + b p         \|     p
+--R        |----------- log(-------------------------------------------------)
+--R       \|     p                               p x + q
+--R     + 
+--R         +-------+
+--R       2\|a x + b
+--R  /
+--R     p
+--R                                                     Type: Expression Integer
+--E
+
+--S 15
+aa2:=aa.2
+--R
+--R             +---------+       +-------+
+--R             |a q - b p       \|a x + b       +-------+
+--R        - 2  |--------- atan(------------ + 2\|a x + b
+--R            \|    p           +---------+
+--R                              |a q - b p
+--R                              |---------
+--R                             \|    p
+--R   (3)  -----------------------------------------------
+--R                               p
+--R                                                     Type: Expression Integer
+--E
+
+--S 16
+bb1:=(2*sqrt(a*x+b))/p+sqrt(b*p-a*q)/(p*sqrt(p))*log((sqrt(p*(a*x+b))-sqrt(b*p-a*q))/(sqrt(p*(a*x+b))+sqrt(b*p-a*q)))
+--R
+--R                           +-----------+    +-----------+
+--R         +-----------+    \|a p x + b p  - \|- a q + b p       +-+ +-------+
+--R        \|- a q + b p log(-------------------------------) + 2\|p \|a x + b
+--R                           +-----------+    +-----------+
+--R                          \|a p x + b p  + \|- a q + b p
+--R   (4)  --------------------------------------------------------------------
+--R                                          +-+
+--R                                        p\|p
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+bb2:=(2*sqrt(a*x+b))/p-(2*sqrt(a*q-b*p))/(p*sqrt(p))*atan(sqrt((p*(a*x+b))/(a*q-b*p)))
+--R
+--R                             +-----------+
+--R            +---------+      |a p x + b p       +-+ +-------+
+--R        - 2\|a q - b p atan( |----------- ) + 2\|p \|a x + b
+--R                            \| a q - b p
+--R   (5)  -----------------------------------------------------
+--R                                  +-+
+--R                                p\|p
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+cc1:=aa1-bb1
+--R
+--R   (6)
+--R                            +-----------+    +-----------+
+--R          +-----------+    \|a p x + b p  - \|- a q + b p
+--R       - \|- a q + b p log(-------------------------------)
+--R                            +-----------+    +-----------+
+--R                           \|a p x + b p  + \|- a q + b p
+--R     + 
+--R                                  +-----------+
+--R                                  |- a q + b p  +-------+
+--R        +-----------+        - 2p |----------- \|a x + b  + a p x - a q + 2b p
+--R        |- a q + b p  +-+        \|     p
+--R        |----------- \|p log(-------------------------------------------------)
+--R       \|     p                                   p x + q
+--R  /
+--R       +-+
+--R     p\|p
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+cc2:=aa1-bb2
+--R
+--R   (7)
+--R                                  +-----------+
+--R                                  |- a q + b p  +-------+
+--R        +-----------+        - 2p |----------- \|a x + b  + a p x - a q + 2b p
+--R        |- a q + b p  +-+        \|     p
+--R        |----------- \|p log(-------------------------------------------------)
+--R       \|     p                                   p x + q
+--R     + 
+--R                          +-----------+
+--R         +---------+      |a p x + b p
+--R       2\|a q - b p atan( |----------- )
+--R                         \| a q - b p
+--R  /
+--R       +-+
+--R     p\|p
+--R                                                     Type: Expression Integer
+--E
+
+--S 20
+cc3:=aa2-bb1
+--R
+--R   (8)
+--R                            +-----------+    +-----------+
+--R          +-----------+    \|a p x + b p  - \|- a q + b p
+--R       - \|- a q + b p log(-------------------------------)
+--R                            +-----------+    +-----------+
+--R                           \|a p x + b p  + \|- a q + b p
+--R     + 
+--R               +---------+       +-------+
+--R           +-+ |a q - b p       \|a x + b
+--R       - 2\|p  |--------- atan(------------)
+--R              \|    p           +---------+
+--R                                |a q - b p
+--R                                |---------
+--R                               \|    p
+--R  /
+--R       +-+
+--R     p\|p
+--R                                                     Type: Expression Integer
+--E
+
+--S 21     14:115 Axiom cannot simplify these answers
+cc4:=aa2-bb2
+--R
+--R   (9)
+--R           +---------+       +-------+                        +-----------+
+--R       +-+ |a q - b p       \|a x + b        +---------+      |a p x + b p
+--R   - 2\|p  |--------- atan(------------) + 2\|a q - b p atan( |----------- )
+--R          \|    p           +---------+                      \| a q - b p
+--R                            |a q - b p
+--R                            |---------
+--R                           \|    p
+--R   -------------------------------------------------------------------------
+--R                                       +-+
+--R                                     p\|p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.116~~~~~$\displaystyle\int{(px+b)^n\sqrt{ax+b}}~dx$}
@@ -122,7 +435,7 @@ $$\int{(px+b)^n\sqrt{ax+b}}=
 <<*>>=
 )clear all
 
---S 4 of 7
+--S 22     14:116 Axiom cannot compute this integral
 aa:=integrate((p*x+q)^n*sqrt(a*x+b),x)
 --R 
 --R
@@ -144,7 +457,7 @@ $$\int{\frac{1}{(px+b)^n\sqrt{ax+b}}}=
 <<*>>=
 )clear all
 
---S 5 of 7
+--S 23     14:117 Axiom cannot compute this integral
 aa:=integrate(1/((p*x+q)^n*sqrt(a*x+b)),x)
 --R 
 --R
@@ -166,7 +479,7 @@ $$\int{\frac{(px+q)^n}{\sqrt{ax+b}}}=
 <<*>>=
 )clear all
 
---S 6 of 7
+--S 24     14:118 Axiom cannot compute this integral
 aa:=integrate((p*x+q)^n/sqrt(a*x+b),x)
 --R 
 --R
@@ -187,7 +500,7 @@ $$\int{\frac{\sqrt{ax+b}}{(px+q)^n}}=
 <<*>>=
 )clear all
 
---S 7 of 7
+--S 25     14:119 Axiom cannot compute this integral
 aa:=integrate(sqrt(a*x+b)/(p*x+q)^n,x)
 --R 
 --R
diff --git a/src/input/schaum5.input.pamphlet b/src/input/schaum5.input.pamphlet
index f8bccc8..50ea618 100644
--- a/src/input/schaum5.input.pamphlet
+++ b/src/input/schaum5.input.pamphlet
@@ -22,7 +22,7 @@ $$\int{\frac{1}{\sqrt{(ax+b)(px+q)}}}=
 )set message auto off
 )clear all
 
---S 1 of 5
+--S 1
 aa:=integrate(1/sqrt((a*x+b)*(p*x+q)),x)
 --R 
 --R
@@ -53,6 +53,157 @@ aa:=integrate(1/sqrt((a*x+b)*(p*x+q)),x)
 --R                               \|- a p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 2
+aa1:=aa.1
+--R
+--R   (2)
+--R     log
+--R                                     +---------------------------+
+--R               +---+ +---+           |     2
+--R            (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R          + 
+--R                   +---+            2                          +---+
+--R            2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R       /
+--R                  +---------------------------+
+--R            +---+ |     2
+--R          2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R  /
+--R      +---+
+--R     \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+aa2:=aa.2
+--R
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R        2atan(-------------------------------------------------------)
+--R                                       a p x
+--R   (3)  --------------------------------------------------------------
+--R                                    +-----+
+--R                                   \|- a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+bb1:=2/sqrt(a*p)*log(sqrt(a*(p*x+q))+sqrt(p*(a*x+b)))
+--R
+--R              +-----------+    +-----------+
+--R        2log(\|a p x + a q  + \|a p x + b p )
+--R   (4)  -------------------------------------
+--R                         +---+
+--R                        \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 5
+bb2:=2/sqrt(-a*p)*atan(sqrt((-p*(a*x+b))/(a*(p*x+q))))
+--R
+--R               +-------------+
+--R               |- a p x - b p
+--R        2atan( |------------- )
+--R              \| a p x + a q
+--R   (5)  -----------------------
+--R                 +-----+
+--R                \|- a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 6
+cc1:=aa1-bb1
+--R
+--R   (6)
+--R               +-----------+    +-----------+
+--R       - 2log(\|a p x + a q  + \|a p x + b p )
+--R     + 
+--R       log
+--R                                       +---------------------------+
+--R                 +---+ +---+           |     2
+--R              (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R            + 
+--R                     +---+            2                          +---+
+--R              2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R         /
+--R                    +---------------------------+
+--R              +---+ |     2
+--R            2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R  /
+--R      +---+
+--R     \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 7
+cc2:=aa1-bb2
+--R
+--R   (7)
+--R          +-----+
+--R         \|- a p
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                       +---+            2                          +---+
+--R                2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                      +-------------+
+--R           +---+      |- a p x - b p
+--R       - 2\|a p atan( |------------- )
+--R                     \| a p x + a q
+--R  /
+--R      +-----+ +---+
+--R     \|- a p \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 8
+cc3:=aa2-bb1
+--R
+--R   (8)
+--R           +-----+     +-----------+    +-----------+
+--R       - 2\|- a p log(\|a p x + a q  + \|a p x + b p )
+--R     + 
+--R                            +---------------------------+
+--R                    +-----+ |     2                          +-----+ +---+
+--R         +---+     \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R       2\|a p atan(-------------------------------------------------------)
+--R                                            a p x
+--R  /
+--R      +-----+ +---+
+--R     \|- a p \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 9      14:120 Axiom cannot simplify these answers
+cc4:=aa2-bb2
+--R
+--R   (9)
+--R                      +---------------------------+
+--R              +-----+ |     2                          +-----+ +---+
+--R             \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R       2atan(-------------------------------------------------------)
+--R                                      a p x
+--R     + 
+--R                +-------------+
+--R                |- a p x - b p
+--R       - 2atan( |------------- )
+--R               \| a p x + a q
+--R  /
+--R      +-----+
+--R     \|- a p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.121~~~~~$\displaystyle
@@ -64,7 +215,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 5
+--S 10
 aa:=integrate(x/sqrt((a*x+b)*(p*x+q)),x)
 --R 
 --R
@@ -133,6 +284,187 @@ aa:=integrate(x/sqrt((a*x+b)*(p*x+q)),x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 11
+bb1:=integrate(1/(sqrt(a*x+b)*(p*x+q)),x)
+--R
+--R   (2)
+--R                                                          +--------------+
+--R                      2  +-------+                        |             2
+--R        (2a p q - 2b p )\|a x + b  + (a p x - a q + 2b p)\|- a p q + b p
+--R    log(------------------------------------------------------------------)
+--R                                      p x + q
+--R   [-----------------------------------------------------------------------,
+--R                                +--------------+
+--R                                |             2
+--R                               \|- a p q + b p
+--R           +------------+
+--R           |           2  +-------+
+--R          \|a p q - b p  \|a x + b
+--R    2atan(-------------------------)
+--R                  a q - b p
+--R    --------------------------------]
+--R              +------------+
+--R              |           2
+--R             \|a p q - b p
+--R                                     Type: Union(List Expression Integer,...)
+--E
+
+--S 12
+bb2:=sqrt((a*x+b)*(p*x+q))/(a*p)-(b*p+a*q)/(2*a*p)
+--R
+--R          +---------------------------+
+--R          |     2
+--R        2\|a p x  + (a q + b p)x + b q  - a q - b p
+--R   (3)  -------------------------------------------
+--R                            2a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 13
+bb:=bb2*bb1
+--R
+--R   (4)
+--R   [
+--R            +---------------------------+
+--R            |     2
+--R         (2\|a p x  + (a q + b p)x + b q  - a q - b p)
+--R      *
+--R                                                             +--------------+
+--R                         2  +-------+                        |             2
+--R           (2a p q - 2b p )\|a x + b  + (a p x - a q + 2b p)\|- a p q + b p
+--R       log(------------------------------------------------------------------)
+--R                                         p x + q
+--R    /
+--R            +--------------+
+--R            |             2
+--R       2a p\|- a p q + b p
+--R     ,
+--R                                                       +------------+
+--R       +---------------------------+                   |           2  +-------+
+--R       |     2                                        \|a p q - b p  \|a x + b
+--R    (2\|a p x  + (a q + b p)x + b q  - a q - b p)atan(-------------------------)
+--R                                                              a q - b p
+--R    ----------------------------------------------------------------------------
+--R                                     +------------+
+--R                                     |           2
+--R                                 a p\|a p q - b p
+--R     ]
+--R                                              Type: Vector Expression Integer
+--E
+
+--S 14     14:121 Axiom cannot simplify this answer
+cc:=aa-bb
+--R
+--R   (5)
+--R   [
+--R                              +---+ +---+                           +---+
+--R               ((2a q + 2b p)\|a p \|b q  + ((2a q + 2b p)x + 4b q)\|a p )
+--R            *
+--R                +---------------------------+
+--R                |     2
+--R               \|a p x  + (a q + b p)x + b q
+--R           + 
+--R                      2                            +---+ +---+
+--R             (- 4a p x  + (- 4a q - 4b p)x - 4b q)\|a p \|b q
+--R           + 
+--R                  2 2               2 2           2     2     +---+
+--R             ((- a q  - 2a b p q - b p )x - 2a b q  - 2b p q)\|a p
+--R        *
+--R                                                               +--------------+
+--R                           2  +-------+                        |             2
+--R             (2a p q - 2b p )\|a x + b  + (a p x - a q + 2b p)\|- a p q + b p
+--R         log(------------------------------------------------------------------)
+--R                                           p x + q
+--R       + 
+--R                           +--------------+       +---------------------------+
+--R                           |             2  +---+ |     2
+--R             (2a q + 2b p)\|- a p q + b p  \|b q \|a p x  + (a q + b p)x + b q
+--R           + 
+--R                                                              +--------------+
+--R                  2 2               2 2           2     2     |             2
+--R             ((- a q  - 2a b p q - b p )x - 2a b q  - 2b p q)\|- a p q + b p
+--R        *
+--R           log
+--R                                           +---------------------------+
+--R                     +---+ +---+           |     2
+--R                  (2\|a p \|b q  + 2a p x)\|a p x  + (a q + b p)x + b q
+--R                + 
+--R                           +---+            2                          +---+
+--R                  - 2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R             /
+--R                        +---------------------------+
+--R                  +---+ |     2
+--R                2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R       + 
+--R                          +--------------+       +---------------------------+
+--R                          |             2  +---+ |     2
+--R         (- 2a q - 2b p)x\|- a p q + b p  \|a p \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                                    +--------------+
+--R                2                   |             2  +---+ +---+
+--R         (4a p x  + (2a q + 2b p)x)\|- a p q + b p  \|a p \|b q
+--R    /
+--R              +--------------+             +---------------------------+
+--R              |             2  +---+ +---+ |     2
+--R         4a p\|- a p q + b p  \|a p \|b q \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                                            +--------------+
+--R               2            2               |             2  +---+
+--R         ((- 2a p q - 2a b p )x - 4a b p q)\|- a p q + b p  \|a p
+--R     ,
+--R
+--R                                   +------------+ +---------------------------+
+--R                             +---+ |           2  |     2
+--R             (- 2a q - 2b p)\|b q \|a p q - b p  \|a p x  + (a q + b p)x + b q
+--R           + 
+--R                                                            +------------+
+--R                2 2               2 2           2     2     |           2
+--R             ((a q  + 2a b p q + b p )x + 2a b q  + 2b p q)\|a p q - b p
+--R        *
+--R                         +---------------------------+
+--R                 +-----+ |     2                          +-----+ +---+
+--R                \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R           atan(-------------------------------------------------------)
+--R                                         a p x
+--R       + 
+--R                              +-----+ +---+                           +-----+
+--R               ((2a q + 2b p)\|- a p \|b q  + ((2a q + 2b p)x + 4b q)\|- a p )
+--R            *
+--R                +---------------------------+
+--R                |     2
+--R               \|a p x  + (a q + b p)x + b q
+--R           + 
+--R                      2                            +-----+ +---+
+--R             (- 4a p x  + (- 4a q - 4b p)x - 4b q)\|- a p \|b q
+--R           + 
+--R                  2 2               2 2           2     2     +-----+
+--R             ((- a q  - 2a b p q - b p )x - 2a b q  - 2b p q)\|- a p
+--R        *
+--R                 +------------+
+--R                 |           2  +-------+
+--R                \|a p q - b p  \|a x + b
+--R           atan(-------------------------)
+--R                        a q - b p
+--R       + 
+--R                                +------------+ +---------------------------+
+--R                        +-----+ |           2  |     2
+--R         (- a q - b p)x\|- a p \|a p q - b p  \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                                                +------------+
+--R                2                 +-----+ +---+ |           2
+--R         (2a p x  + (a q + b p)x)\|- a p \|b q \|a p q - b p
+--R    /
+--R                            +------------+ +---------------------------+
+--R              +-----+ +---+ |           2  |     2
+--R         2a p\|- a p \|b q \|a p q - b p  \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                                                  +------------+
+--R              2           2               +-----+ |           2
+--R         ((- a p q - a b p )x - 2a b p q)\|- a p \|a p q - b p
+--R     ]
+--R                                              Type: Vector Expression Integer
+--E
 @
 
 \section{\cite{1}:14.122~~~~~$\displaystyle\int{\sqrt{(ax+b)(px+q)}}~dx$}
@@ -143,7 +475,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 5
+--S 15
 aa:=integrate(sqrt((a*x+b)*(p*x+q)),x)
 --R 
 --R
@@ -289,7 +621,639 @@ aa:=integrate(sqrt((a*x+b)*(p*x+q)),x)
 --R           \|- a p
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
---E 
+--E
+@
+Since there are two parts to the aa variable we split them: 
+<<*>>=
+--S 16
+aa1:=aa.1
+--R
+--R   (2)
+--R                  3 3     2     2       2 2      3 3       2   3        2   2
+--R               (4a q  - 4a b p q  - 4a b p q + 4b p )x + 8a b q  - 16a b p q
+--R             + 
+--R                 3 2
+--R               8b p q
+--R          *
+--R                    +---------------------------+
+--R              +---+ |     2
+--R             \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R               4 4     3     3      2 2 2 2       3 3     4 4  2
+--R           (- a q  - 4a b p q  + 10a b p q  - 4a b p q - b p )x
+--R         + 
+--R                3   4     2 2   3       3 2 2     4 3        2 2 4        3   3
+--R           (- 8a b q  + 8a b p q  + 8a b p q  - 8b p q)x - 8a b q  + 16a b p q
+--R         + 
+--R               4 2 2
+--R           - 8b p q
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  + 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                         +---+            2                          +---+
+--R                - 2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                3   2      2   2        2 3  3
+--R           (- 4a p q  - 24a b p q - 4a b p )x
+--R         + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 2a q  - 46a b p q  - 46a b p q - 2b p )x
+--R         + 
+--R                2   3        2   2     3 2
+--R           (- 8a b q  - 48a b p q  - 8b p q)x
+--R      *
+--R                +---------------------------+
+--R          +---+ |     2
+--R         \|a p \|a p x  + (a q + b p)x + b q
+--R     + 
+--R               3 2       2   3  4       3   2      2   2         2 3  3
+--R           (16a p q + 16a b p )x  + (24a p q  + 80a b p q + 24a b p )x
+--R         + 
+--R              3 3      2     2        2 2      3 3  2
+--R           (6a q  + 74a b p q  + 74a b p q + 6b p )x
+--R         + 
+--R              2   3        2   2     3 2
+--R           (8a b q  + 48a b p q  + 8b p q)x
+--R      *
+--R          +---+ +---+
+--R         \|a p \|b q
+--R  /
+--R              2             2                +---+ +---+
+--R         ((32a p q + 32a b p )x + 64a b p q)\|a p \|b q
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3   2      2   2        2 3  2         2     2        2 2
+--R           (- 8a p q  - 48a b p q - 8a b p )x  + (- 64a b p q  - 64a b p q)x
+--R         + 
+--R                  2   2
+--R           - 64a b p q
+--R      *
+--R          +---+
+--R         \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 17
+aa2:=aa.2
+--R
+--R   (3)
+--R                    3 3     2     2       2 2      3 3       2   3        2   2
+--R               (- 4a q  + 4a b p q  + 4a b p q - 4b p )x - 8a b q  + 16a b p q
+--R             + 
+--R                   3 2
+--R               - 8b p q
+--R          *
+--R                    +---------------------------+
+--R              +---+ |     2
+--R             \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R             4 4     3     3      2 2 2 2       3 3     4 4  2
+--R           (a q  + 4a b p q  - 10a b p q  + 4a b p q + b p )x
+--R         + 
+--R              3   4     2 2   3       3 2 2     4 3        2 2 4        3   3
+--R           (8a b q  - 8a b p q  - 8a b p q  + 8b p q)x + 8a b q  - 16a b p q
+--R         + 
+--R             4 2 2
+--R           8b p q
+--R      *
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R         atan(-------------------------------------------------------)
+--R                                       a p x
+--R     + 
+--R                3   2      2   2        2 3  3
+--R           (- 2a p q  - 12a b p q - 2a b p )x
+--R         + 
+--R               3 3      2     2        2 2     3 3  2
+--R           (- a q  - 23a b p q  - 23a b p q - b p )x
+--R         + 
+--R                2   3        2   2     3 2
+--R           (- 4a b q  - 24a b p q  - 4b p q)x
+--R      *
+--R                  +---------------------------+
+--R          +-----+ |     2
+--R         \|- a p \|a p x  + (a q + b p)x + b q
+--R     + 
+--R              3 2      2   3  4       3   2      2   2         2 3  3
+--R           (8a p q + 8a b p )x  + (12a p q  + 40a b p q + 12a b p )x
+--R         + 
+--R              3 3      2     2        2 2      3 3  2
+--R           (3a q  + 37a b p q  + 37a b p q + 3b p )x
+--R         + 
+--R              2   3        2   2     3 2
+--R           (4a b q  + 24a b p q  + 4b p q)x
+--R      *
+--R          +-----+ +---+
+--R         \|- a p \|b q
+--R  /
+--R              2             2                +-----+ +---+
+--R         ((16a p q + 16a b p )x + 32a b p q)\|- a p \|b q
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3   2      2   2        2 3  2         2     2        2 2
+--R           (- 4a p q  - 24a b p q - 4a b p )x  + (- 32a b p q  - 32a b p q)x
+--R         + 
+--R                  2   2
+--R           - 32a b p q
+--R      *
+--R          +-----+
+--R         \|- a p
+--R                                                     Type: Expression Integer
+--E
+@
+We break the books answer into 3 parts, the first term, the coefficient
+of the second term, and the integral.
+<<*>>=
+--S 18
+bba:=((2*a*p*x+b*p+a*q)/(4*a*p))*sqrt((a*x+b)*(p*x+q))
+--R
+--R                             +---------------------------+
+--R                             |     2
+--R        (2a p x + a q + b p)\|a p x  + (a q + b p)x + b q
+--R   (4)  --------------------------------------------------
+--R                               4a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+bbb:=-(b*p-a*q)^2/(8*a*p)
+--R
+--R           2 2               2 2
+--R        - a q  + 2a b p q - b p
+--R   (5)  ------------------------
+--R                  8a p
+--R                                            Type: Fraction Polynomial Integer
+--E
+
+--S 20
+bbc:=integrate(1/sqrt((a*x+b)*(p*x+q)),x)
+--R
+--R   (6)
+--R   [
+--R       log
+--R                                       +---------------------------+
+--R                 +---+ +---+           |     2
+--R              (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R            + 
+--R                     +---+            2                          +---+
+--R              2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R         /
+--R                    +---------------------------+
+--R              +---+ |     2
+--R            2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R    /
+--R        +---+
+--R       \|a p
+--R     ,
+--R                   +---------------------------+
+--R           +-----+ |     2                          +-----+ +---+
+--R          \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R    2atan(-------------------------------------------------------)
+--R                                   a p x
+--R    --------------------------------------------------------------]
+--R                                +-----+
+--R                               \|- a p
+--R                                     Type: Union(List Expression Integer,...)
+--E
+@
+Since the integral has two parts, we break them apart
+<<*>>=
+--S 21
+bbc1:=bbc.1
+--R
+--R   (7)
+--R     log
+--R                                     +---------------------------+
+--R               +---+ +---+           |     2
+--R            (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R          + 
+--R                   +---+            2                          +---+
+--R            2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R       /
+--R                  +---------------------------+
+--R            +---+ |     2
+--R          2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R  /
+--R      +---+
+--R     \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 22
+bbc2:=bbc.2
+--R
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R        2atan(-------------------------------------------------------)
+--R                                       a p x
+--R   (8)  --------------------------------------------------------------
+--R                                    +-----+
+--R                                   \|- a p
+--R                                                     Type: Expression Integer
+--E
+@ 
+And now we construct the two bb answers based on the integral parts
+<<*>>=
+--S 23
+bb1:=bba+bbb*bbc1
+--R
+--R   (9)
+--R             2 2               2 2
+--R         (- a q  + 2a b p q - b p )
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                       +---+            2                          +---+
+--R                2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                                    +---------------------------+
+--R                              +---+ |     2
+--R       (4a p x + 2a q + 2b p)\|a p \|a p x  + (a q + b p)x + b q
+--R  /
+--R          +---+
+--R     8a p\|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+bb2:=bba+bbb*bbc2
+--R
+--R   (10)
+--R             2 2               2 2
+--R         (- a q  + 2a b p q - b p )
+--R      *
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R         atan(-------------------------------------------------------)
+--R                                       a p x
+--R     + 
+--R                                    +---------------------------+
+--R                            +-----+ |     2
+--R       (2a p x + a q + b p)\|- a p \|a p x  + (a q + b p)x + b q
+--R  /
+--R          +-----+
+--R     4a p\|- a p
+--R                                                     Type: Expression Integer
+--E
+@
+So there are 4 possible combinations that might yield an answer.
+We construct all four.
+<<*>>=
+--S 25
+cc1:=aa1-bb1
+--R
+--R   (11)
+--R                  3 3     2     2       2 2      3 3       2   3        2   2
+--R               (4a q  - 4a b p q  - 4a b p q + 4b p )x + 8a b q  - 16a b p q
+--R             + 
+--R                 3 2
+--R               8b p q
+--R          *
+--R                    +---------------------------+
+--R              +---+ |     2
+--R             \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R               4 4     3     3      2 2 2 2       3 3     4 4  2
+--R           (- a q  - 4a b p q  + 10a b p q  - 4a b p q - b p )x
+--R         + 
+--R                3   4     2 2   3       3 2 2     4 3        2 2 4        3   3
+--R           (- 8a b q  + 8a b p q  + 8a b p q  - 8b p q)x - 8a b q  + 16a b p q
+--R         + 
+--R               4 2 2
+--R           - 8b p q
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  + 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                         +---+            2                          +---+
+--R                - 2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                  3 3     2     2       2 2      3 3       2   3        2   2
+--R               (4a q  - 4a b p q  - 4a b p q + 4b p )x + 8a b q  - 16a b p q
+--R             + 
+--R                 3 2
+--R               8b p q
+--R          *
+--R                    +---------------------------+
+--R              +---+ |     2
+--R             \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R               4 4     3     3      2 2 2 2       3 3     4 4  2
+--R           (- a q  - 4a b p q  + 10a b p q  - 4a b p q - b p )x
+--R         + 
+--R                3   4     2 2   3       3 2 2     4 3        2 2 4        3   3
+--R           (- 8a b q  + 8a b p q  + 8a b p q  - 8b p q)x - 8a b q  + 16a b p q
+--R         + 
+--R               4 2 2
+--R           - 8b p q
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                       +---+            2                          +---+
+--R                2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R             2   3        2   2     3 2           2 3      3   2  +---+
+--R         ((8a b q  + 16a b p q  + 8b p q)x + 16a b q  + 16b p q )\|a p
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 2a q  - 14a b p q  - 14a b p q - 2b p )x
+--R         + 
+--R                 2   3        2   2      3 2           2 3      3   2
+--R           (- 16a b q  - 32a b p q  - 16b p q)x - 16a b q  - 16b p q
+--R      *
+--R          +---+ +---+
+--R         \|a p \|b q
+--R  /
+--R              2             2                +---+ +---+
+--R         ((32a p q + 32a b p )x + 64a b p q)\|a p \|b q
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3   2      2   2        2 3  2         2     2        2 2
+--R           (- 8a p q  - 48a b p q - 8a b p )x  + (- 64a b p q  - 64a b p q)x
+--R         + 
+--R                  2   2
+--R           - 64a b p q
+--R      *
+--R          +---+
+--R         \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+cc2:=aa1-bb2
+--R
+--R   (12)
+--R                  3 3     2     2       2 2      3 3       2   3        2   2
+--R               (4a q  - 4a b p q  - 4a b p q + 4b p )x + 8a b q  - 16a b p q
+--R             + 
+--R                 3 2
+--R               8b p q
+--R          *
+--R                            +---------------------------+
+--R              +-----+ +---+ |     2
+--R             \|- a p \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R                   4 4     3     3      2 2 2 2       3 3     4 4  2
+--R               (- a q  - 4a b p q  + 10a b p q  - 4a b p q - b p )x
+--R             + 
+--R                    3   4     2 2   3       3 2 2     4 3        2 2 4
+--R               (- 8a b q  + 8a b p q  + 8a b p q  - 8b p q)x - 8a b q
+--R             + 
+--R                    3   3     4 2 2
+--R               16a b p q  - 8b p q
+--R          *
+--R              +-----+
+--R             \|- a p
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  + 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                         +---+            2                          +---+
+--R                - 2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                  3 3     2     2       2 2      3 3        2   3        2   2
+--R               (8a q  - 8a b p q  - 8a b p q + 8b p )x + 16a b q  - 32a b p q
+--R             + 
+--R                  3 2
+--R               16b p q
+--R          *
+--R                          +---------------------------+
+--R              +---+ +---+ |     2
+--R             \|a p \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R                    4 4     3     3      2 2 2 2       3 3      4 4  2
+--R               (- 2a q  - 8a b p q  + 20a b p q  - 8a b p q - 2b p )x
+--R             + 
+--R                     3   4      2 2   3        3 2 2      4 3         2 2 4
+--R               (- 16a b q  + 16a b p q  + 16a b p q  - 16b p q)x - 16a b q
+--R             + 
+--R                    3   3      4 2 2
+--R               32a b p q  - 16b p q
+--R          *
+--R              +---+
+--R             \|a p
+--R      *
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R         atan(-------------------------------------------------------)
+--R                                       a p x
+--R     + 
+--R             2   3        2   2     3 2           2 3      3   2  +-----+ +---+
+--R         ((8a b q  + 16a b p q  + 8b p q)x + 16a b q  + 16b p q )\|- a p \|a p
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 2a q  - 14a b p q  - 14a b p q - 2b p )x
+--R         + 
+--R                 2   3        2   2      3 2           2 3      3   2
+--R           (- 16a b q  - 32a b p q  - 16b p q)x - 16a b q  - 16b p q
+--R      *
+--R          +-----+ +---+ +---+
+--R         \|- a p \|a p \|b q
+--R  /
+--R              2             2                +-----+ +---+ +---+
+--R         ((32a p q + 32a b p )x + 64a b p q)\|- a p \|a p \|b q
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3   2      2   2        2 3  2         2     2        2 2
+--R           (- 8a p q  - 48a b p q - 8a b p )x  + (- 64a b p q  - 64a b p q)x
+--R         + 
+--R                  2   2
+--R           - 64a b p q
+--R      *
+--R          +-----+ +---+
+--R         \|- a p \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 27
+cc3:=aa1-bb1
+--R
+--R   (13)
+--R                  3 3     2     2       2 2      3 3       2   3        2   2
+--R               (4a q  - 4a b p q  - 4a b p q + 4b p )x + 8a b q  - 16a b p q
+--R             + 
+--R                 3 2
+--R               8b p q
+--R          *
+--R                    +---------------------------+
+--R              +---+ |     2
+--R             \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R               4 4     3     3      2 2 2 2       3 3     4 4  2
+--R           (- a q  - 4a b p q  + 10a b p q  - 4a b p q - b p )x
+--R         + 
+--R                3   4     2 2   3       3 2 2     4 3        2 2 4        3   3
+--R           (- 8a b q  + 8a b p q  + 8a b p q  - 8b p q)x - 8a b q  + 16a b p q
+--R         + 
+--R               4 2 2
+--R           - 8b p q
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  + 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                         +---+            2                          +---+
+--R                - 2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                  3 3     2     2       2 2      3 3       2   3        2   2
+--R               (4a q  - 4a b p q  - 4a b p q + 4b p )x + 8a b q  - 16a b p q
+--R             + 
+--R                 3 2
+--R               8b p q
+--R          *
+--R                    +---------------------------+
+--R              +---+ |     2
+--R             \|b q \|a p x  + (a q + b p)x + b q
+--R         + 
+--R               4 4     3     3      2 2 2 2       3 3     4 4  2
+--R           (- a q  - 4a b p q  + 10a b p q  - 4a b p q - b p )x
+--R         + 
+--R                3   4     2 2   3       3 2 2     4 3        2 2 4        3   3
+--R           (- 8a b q  + 8a b p q  + 8a b p q  - 8b p q)x - 8a b q  + 16a b p q
+--R         + 
+--R               4 2 2
+--R           - 8b p q
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                       +---+            2                          +---+
+--R                2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R             2   3        2   2     3 2           2 3      3   2  +---+
+--R         ((8a b q  + 16a b p q  + 8b p q)x + 16a b q  + 16b p q )\|a p
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3 3      2     2        2 2      3 3  2
+--R           (- 2a q  - 14a b p q  - 14a b p q - 2b p )x
+--R         + 
+--R                 2   3        2   2      3 2           2 3      3   2
+--R           (- 16a b q  - 32a b p q  - 16b p q)x - 16a b q  - 16b p q
+--R      *
+--R          +---+ +---+
+--R         \|a p \|b q
+--R  /
+--R              2             2                +---+ +---+
+--R         ((32a p q + 32a b p )x + 64a b p q)\|a p \|b q
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                3   2      2   2        2 3  2         2     2        2 2
+--R           (- 8a p q  - 48a b p q - 8a b p )x  + (- 64a b p q  - 64a b p q)x
+--R         + 
+--R                  2   2
+--R           - 64a b p q
+--R      *
+--R          +---+
+--R         \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 28     14:122 Axiom cannot simplify this answer
+cc4:=aa2-bb2
+--R
+--R   (14)
+--R             2   3       2   2     3 2          2 3     3   2
+--R         ((4a b q  + 8a b p q  + 4b p q)x + 8a b q  + 8b p q )
+--R      *
+--R          +---------------------------+
+--R          |     2
+--R         \|a p x  + (a q + b p)x + b q
+--R     + 
+--R               3 3     2     2       2 2     3 3  2
+--R           (- a q  - 7a b p q  - 7a b p q - b p )x
+--R         + 
+--R                2   3        2   2     3 2          2 3     3   2
+--R           (- 8a b q  - 16a b p q  - 8b p q)x - 8a b q  - 8b p q
+--R      *
+--R          +---+
+--R         \|b q
+--R  /
+--R                                                 +---------------------------+
+--R            2             2                +---+ |     2
+--R       ((16a p q + 16a b p )x + 32a b p q)\|b q \|a p x  + (a q + b p)x + b q
+--R     + 
+--R            3   2      2   2        2 3  2         2     2        2 2
+--R       (- 4a p q  - 24a b p q - 4a b p )x  + (- 32a b p q  - 32a b p q)x
+--R     + 
+--R              2   2
+--R       - 32a b p q
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.123~~~~~$\displaystyle\int{\sqrt{\frac{px+q}{ax+b}}}~dx$}
@@ -300,7 +1264,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 5
+--S 29
 aa:=integrate(sqrt((p*x+q)/(a*x+b)),x)
 --R 
 --R
@@ -332,6 +1296,310 @@ aa:=integrate(sqrt((p*x+q)/(a*x+b)),x)
 --R                                a\|- a p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 30
+aa1:=aa.1
+--R
+--R   (2)
+--R                                                                     +-------+
+--R                                           +---+      2              |p x + q
+--R       (a q - b p)log((2a p x + a q + b p)\|a p  + (2a p x + 2a b p) |------- )
+--R                                                                    \|a x + b
+--R     + 
+--R                   +-------+
+--R                   |p x + q  +---+
+--R       (2a x + 2b) |------- \|a p
+--R                  \|a x + b
+--R  /
+--R        +---+
+--R     2a\|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+aa2:=aa.2
+--R
+--R                                 +-------+
+--R                         +-----+ |p x + q
+--R                        \|- a p  |-------                       +-------+
+--R                                \|a x + b               +-----+ |p x + q
+--R        (a q - b p)atan(------------------) + (a x + b)\|- a p  |-------
+--R                                 p                             \|a x + b
+--R   (3)  -----------------------------------------------------------------
+--R                                      +-----+
+--R                                    a\|- a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+bba:=sqrt((a*x+b)*(p*x+q))/a
+--R
+--R         +---------------------------+
+--R         |     2
+--R        \|a p x  + (a q + b p)x + b q
+--R   (4)  ------------------------------
+--R                       a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+bbb:=(a*q-b*p)/(2*a)
+--R
+--R        a q - b p
+--R   (5)  ---------
+--R            2a
+--R                                            Type: Fraction Polynomial Integer
+--E
+
+--S 34
+bbc:=integrate(1/(sqrt((a*x+b)*(p*x+q))),x)
+--R
+--R   (6)
+--R   [
+--R       log
+--R                                       +---------------------------+
+--R                 +---+ +---+           |     2
+--R              (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R            + 
+--R                     +---+            2                          +---+
+--R              2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R         /
+--R                    +---------------------------+
+--R              +---+ |     2
+--R            2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R    /
+--R        +---+
+--R       \|a p
+--R     ,
+--R                   +---------------------------+
+--R           +-----+ |     2                          +-----+ +---+
+--R          \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R    2atan(-------------------------------------------------------)
+--R                                   a p x
+--R    --------------------------------------------------------------]
+--R                                +-----+
+--R                               \|- a p
+--R                                     Type: Union(List Expression Integer,...)
+--E
+
+--S 35
+bbc1:=bbc.1
+--R
+--R   (7)
+--R     log
+--R                                     +---------------------------+
+--R               +---+ +---+           |     2
+--R            (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R          + 
+--R                   +---+            2                          +---+
+--R            2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R       /
+--R                  +---------------------------+
+--R            +---+ |     2
+--R          2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R  /
+--R      +---+
+--R     \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+bbc2:=bbc.2
+--R
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R        2atan(-------------------------------------------------------)
+--R                                       a p x
+--R   (8)  --------------------------------------------------------------
+--R                                    +-----+
+--R                                   \|- a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 37
+bb1:=bba+bbb*bbc1
+--R
+--R   (9)
+--R         (a q - b p)
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                       +---+            2                          +---+
+--R                2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R               +---------------------------+
+--R         +---+ |     2
+--R       2\|a p \|a p x  + (a q + b p)x + b q
+--R  /
+--R        +---+
+--R     2a\|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 38
+bb2:=bba+bbb*bbc2
+--R
+--R   (10)
+--R                                +---------------------------+
+--R                        +-----+ |     2                          +-----+ +---+
+--R                       \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R       (a q - b p)atan(-------------------------------------------------------)
+--R                                                a p x
+--R     + 
+--R                +---------------------------+
+--R        +-----+ |     2
+--R       \|- a p \|a p x  + (a q + b p)x + b q
+--R  /
+--R       +-----+
+--R     a\|- a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 39
+cc1:=aa1-bb1
+--R
+--R   (11)
+--R                                                                     +-------+
+--R                                           +---+      2              |p x + q
+--R       (a q - b p)log((2a p x + a q + b p)\|a p  + (2a p x + 2a b p) |------- )
+--R                                                                    \|a x + b
+--R     + 
+--R         (- a q + b p)
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                       +---+            2                          +---+
+--R                2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                 +---------------------------+               +-------+
+--R           +---+ |     2                                     |p x + q  +---+
+--R       - 2\|a p \|a p x  + (a q + b p)x + b q  + (2a x + 2b) |------- \|a p
+--R                                                            \|a x + b
+--R  /
+--R        +---+
+--R     2a\|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+cc2:=aa1-bb2
+--R
+--R   (12)
+--R                     +-----+
+--R         (a q - b p)\|- a p
+--R      *
+--R                                                            +-------+
+--R                                  +---+      2              |p x + q
+--R         log((2a p x + a q + b p)\|a p  + (2a p x + 2a b p) |------- )
+--R                                                           \|a x + b
+--R     + 
+--R                         +---+
+--R         (- 2a q + 2b p)\|a p
+--R      *
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R         atan(-------------------------------------------------------)
+--R                                       a p x
+--R     + 
+--R                         +---------------------------+
+--R           +-----+ +---+ |     2
+--R       - 2\|- a p \|a p \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                           +-------+
+--R                   +-----+ |p x + q  +---+
+--R       (2a x + 2b)\|- a p  |------- \|a p
+--R                          \|a x + b
+--R  /
+--R        +-----+ +---+
+--R     2a\|- a p \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 41
+cc3:=aa2-bb1
+--R
+--R   (13)
+--R                       +-----+
+--R         (- a q + b p)\|- a p
+--R      *
+--R         log
+--R                                         +---------------------------+
+--R                   +---+ +---+           |     2
+--R                (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R              + 
+--R                       +---+            2                          +---+
+--R                2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R           /
+--R                      +---------------------------+
+--R                +---+ |     2
+--R              2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R     + 
+--R                                        +-------+
+--R                                +-----+ |p x + q
+--R                               \|- a p  |-------
+--R                     +---+             \|a x + b
+--R       (2a q - 2b p)\|a p atan(------------------)
+--R                                        p
+--R     + 
+--R                         +---------------------------+
+--R           +-----+ +---+ |     2
+--R       - 2\|- a p \|a p \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                           +-------+
+--R                   +-----+ |p x + q  +---+
+--R       (2a x + 2b)\|- a p  |------- \|a p
+--R                          \|a x + b
+--R  /
+--R        +-----+ +---+
+--R     2a\|- a p \|a p
+--R                                                     Type: Expression Integer
+--E
+
+--S 42     14:88 Axiom cannot simplify these results
+cc4:=aa2-bb2
+--R
+--R   (14)
+--R         (- a q + b p)
+--R      *
+--R                       +---------------------------+
+--R               +-----+ |     2                          +-----+ +---+
+--R              \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R         atan(-------------------------------------------------------)
+--R                                       a p x
+--R     + 
+--R                                +-------+
+--R                        +-----+ |p x + q
+--R                       \|- a p  |-------
+--R                               \|a x + b
+--R       (a q - b p)atan(------------------)
+--R                                p
+--R     + 
+--R                  +---------------------------+                     +-------+
+--R          +-----+ |     2                                   +-----+ |p x + q
+--R       - \|- a p \|a p x  + (a q + b p)x + b q  + (a x + b)\|- a p  |-------
+--R                                                                   \|a x + b
+--R  /
+--R       +-----+
+--R     a\|- a p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.124~~~~~$\displaystyle
@@ -342,7 +1610,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 5
+--S 43
 aa:=integrate(1/((p*x+q)*sqrt((a*x+b)*(p*x+q))),x)
 --R 
 --R
@@ -354,6 +1622,38 @@ aa:=integrate(1/((p*x+q)*sqrt((a*x+b)*(p*x+q))),x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
 
+--S 44
+bb:=(2*sqrt(a*x+b))/((a*q-b*p)*sqrt(p*x+q))
+--R
+--R               +-------+
+--R             2\|a x + b
+--R   (2)  ---------------------
+--R                    +-------+
+--R        (a q - b p)\|p x + q
+--R                                                     Type: Expression Integer
+--E
+
+--S 45     14:124 Axiom cannot simplify this result
+cc:=aa-bb
+--R
+--R   (3)
+--R                      +---------------------------+
+--R            +-------+ |     2                                        +-------+
+--R       - 2q\|a x + b \|a p x  + (a q + b p)x + b q  + (2a q - 2b p)x\|p x + q
+--R     + 
+--R                   +---+ +-------+
+--R       (2p x + 2q)\|b q \|a x + b
+--R  /
+--R                                +---------------------------+
+--R           2          +-------+ |     2
+--R       (a q  - b p q)\|p x + q \|a p x  + (a q + b p)x + b q
+--R     + 
+--R                      2        2          +---+ +-------+
+--R       ((- a p q + b p )x - a q  + b p q)\|b q \|p x + q
+--R                                                     Type: Expression Integer
+--E
+
+
 )spool
 )lisp (bye)
 @
diff --git a/src/input/schaum6.input.pamphlet b/src/input/schaum6.input.pamphlet
index 9a08dc6..9b6f4f0 100644
--- a/src/input/schaum6.input.pamphlet
+++ b/src/input/schaum6.input.pamphlet
@@ -15,7 +15,7 @@ $$\int{\frac{1}{x^2+a^2}}=\frac{1}{a}\tan^{-1}\frac{x}{a}$$
 )set message auto off
 )clear all
 
---S 1 of 19
+--S 1
 aa:=integrate(1/(x^2+a^2),x)
 --R 
 --R
@@ -26,6 +26,25 @@ aa:=integrate(1/(x^2+a^2),x)
 --R           a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=(1/a)*atan(x/a)
+--R
+--R             x
+--R        atan(-)
+--R             a
+--R   (2)  -------
+--R           a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:125 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.126~~~~~$\displaystyle\int{\frac{x~dx}{x^2+a^2}}$}
@@ -33,7 +52,7 @@ $$\int{\frac{x}{x^2+a^2}}=\frac{1}{2}\ln(x^2+a^2)$$
 <<*>>=
 )clear all
 
---S 2 of 19
+--S 4
 aa:=integrate(x/(x^2+a^2),x)
 --R 
 --R
@@ -43,6 +62,23 @@ aa:=integrate(x/(x^2+a^2),x)
 --R              2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 5
+bb:=(1/2)*log(x^2+a^2)
+--R
+--R             2    2
+--R        log(x  + a )
+--R   (2)  ------------
+--R              2
+--R                                                     Type: Expression Integer
+--E
+
+--S 6      14:126 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E 
 @
 
 \section{\cite{1}:14.127~~~~~$\displaystyle\int{\frac{x^2~dx}{x^2+a^2}}$}
@@ -50,7 +86,7 @@ $$\int{\frac{x^2}{x^2+a^2}}=x-a\tan^{-1}\frac{x}{a}$$
 <<*>>=
 )clear all
 
---S 3 of 19
+--S 7
 aa:=integrate(x^2/(x^2+a^2),x)
 --R 
 --R
@@ -59,6 +95,23 @@ aa:=integrate(x^2/(x^2+a^2),x)
 --R                 a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 8
+bb:=x-a*atan(x/a)
+--R
+--R                 x
+--R   (2)  - a atan(-) + x
+--R                 a
+--R                                                     Type: Expression Integer
+--E
+
+--S 9      14:127 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.128~~~~~$\displaystyle\int{\frac{x^3~dx}{x^2+a^2}}$}
@@ -67,7 +120,7 @@ $$\int{\frac{x^3}{x^2+a^2}}=\frac{x^2}{2}-\frac{a^2}{2}\ln(x^2+a^2)$$
 <<*>>=
 )clear all
 
---S 4 of 19
+--S 10
 aa:=integrate(x^3/(x^2+a^2),x)
 --R 
 --R
@@ -77,6 +130,23 @@ aa:=integrate(x^3/(x^2+a^2),x)
 --R                  2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 11
+bb:=x^2/2-a^2/2*log(x^2+a^2)
+--R
+--R           2     2    2     2
+--R        - a log(x  + a ) + x
+--R   (2)  ---------------------
+--R                  2
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:128 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.129~~~~~$\displaystyle\int{\frac{dx}{x(x^2+a^2)}}$}
@@ -86,7 +156,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 19
+--S 13
 aa:=integrate(1/(x*(x^2+a^2)),x)
 --R 
 --R
@@ -97,6 +167,70 @@ aa:=integrate(1/(x*(x^2+a^2)),x)
 --R                   2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 14
+bb:=1/(2*a^2)*log(x^2/(x^2+a^2))
+--R
+--R                2
+--R               x
+--R        log(-------)
+--R             2    2
+--R            x  + a
+--R   (2)  ------------
+--R               2
+--R             2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15
+cc:=aa-bb
+--R
+--R                                           2
+--R               2    2                     x
+--R        - log(x  + a ) + 2log(x) - log(-------)
+--R                                        2    2
+--R                                       x  + a
+--R   (3)  ---------------------------------------
+--R                            2
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 16
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 17
+dd:=divlog cc
+--R
+--R               2
+--R        - log(x ) + 2log(x)
+--R   (5)  -------------------
+--R                  2
+--R                2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 19     14:129 Schaums and Axiom agree
+ee:=logpow dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.130~~~~~$\displaystyle\int{\frac{dx}{x^2(x^2+a^2)}}$}
@@ -106,7 +240,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 19
+--S 20
 aa:=integrate(1/(x^2*(x^2+a^2)),x)
 --R 
 --R
@@ -118,6 +252,26 @@ aa:=integrate(1/(x^2*(x^2+a^2)),x)
 --R              a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 21
+bb:=-1/(a^2*x)-1/a^3*atan(x/a)
+--R
+--R                 x
+--R        - x atan(-) - a
+--R                 a
+--R   (2)  ---------------
+--R               3
+--R              a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 22     14:130 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.131~~~~~$\displaystyle\int{\frac{dx}{x^3(x^2+a^2)}}$}
@@ -127,7 +281,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 19
+--S 23
 aa:=integrate(1/(x^3*(x^2+a^2)),x)
 --R 
 --R
@@ -138,6 +292,70 @@ aa:=integrate(1/(x^3*(x^2+a^2)),x)
 --R                     2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 24
+bb:=-1/(2*a^2*x^2)-1/(2*a^4)*log(x^2/(x^2+a^2))
+--R
+--R                    2
+--R           2       x        2
+--R        - x log(-------) - a
+--R                 2    2
+--R                x  + a
+--R   (2)  ---------------------
+--R                  4 2
+--R                2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+cc:=aa-bb
+--R
+--R                                         2
+--R             2    2                     x
+--R        log(x  + a ) - 2log(x) + log(-------)
+--R                                      2    2
+--R                                     x  + a
+--R   (3)  -------------------------------------
+--R                           4
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 27
+dd:=divlog cc
+--R
+--R             2
+--R        log(x ) - 2log(x)
+--R   (5)  -----------------
+--R                 4
+--R               2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 28
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 29     14:131 Schaums and Axiom agree
+ee:=logpow dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.132~~~~~$\displaystyle\int{\frac{dx}{(x^2+a^2)^2}}$}
@@ -147,7 +365,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 19
+--S 30
 aa:=integrate(1/((x^2+a^2)^2),x)
 --R 
 --R
@@ -159,6 +377,26 @@ aa:=integrate(1/((x^2+a^2)^2),x)
 --R              2a x  + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 31
+bb:=x/(2*a^2*(x^2+a^2))+1/(2*a^3)*atan(x/a)
+--R
+--R          2    2      x
+--R        (x  + a )atan(-) + a x
+--R                      a
+--R   (2)  ----------------------
+--R                3 2     5
+--R              2a x  + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 32     14:132 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.133~~~~~$\displaystyle\int{\frac{x~dx}{(x^2+a^2)^2}}$}
@@ -168,7 +406,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 19
+--S 33
 aa:=integrate(x/((x^2+a^2)^2),x)
 --R 
 --R
@@ -178,6 +416,23 @@ aa:=integrate(x/((x^2+a^2)^2),x)
 --R          2x  + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 34
+bb:=-1/(2*(x^2+a^2))
+--R
+--R              1
+--R   (2)  - ---------
+--R            2     2
+--R          2x  + 2a
+--R                                            Type: Fraction Polynomial Integer
+--E
+
+--S 35     14:133 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.134~~~~~$\displaystyle\int{\frac{x^2dx}{(x^2+a^2)^2}}$}
@@ -187,7 +442,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 19
+--S 36
 aa:=integrate(x^2/((x^2+a^2)^2),x)
 --R 
 --R
@@ -199,6 +454,25 @@ aa:=integrate(x^2/((x^2+a^2)^2),x)
 --R              2a x  + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 37
+bb:=-x/(2*(x^2+a^2))+1/(2*a)*atan(x/a)
+--R
+--R          2    2      x
+--R        (x  + a )atan(-) - a x
+--R                      a
+--R   (2)  ----------------------
+--R                  2     3
+--R              2a x  + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 38     14:134 Schaums and Axiom differ by a constant
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.135~~~~~$\displaystyle\int{\frac{x^3dx}{(x^2+a^2)^2}}$}
@@ -208,7 +482,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 19
+--S 39
 aa:=integrate(x^3/((x^2+a^2)^2),x)
 --R 
 --R
@@ -219,6 +493,24 @@ aa:=integrate(x^3/((x^2+a^2)^2),x)
 --R                 2x  + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 40
+bb:=a^2/(2*(x^2+a^2))+1/2*log(x^2+a^2)
+--R
+--R          2    2      2    2     2
+--R        (x  + a )log(x  + a ) + a
+--R   (2)  --------------------------
+--R                   2     2
+--R                 2x  + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 41     14:135 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.136~~~~~$\displaystyle\int{\frac{dx}{x(x^2+a^2)^2}}$}
@@ -228,7 +520,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 19
+--S 42
 aa:=integrate(1/(x*(x^2+a^2)^2),x)
 --R 
 --R
@@ -239,6 +531,69 @@ aa:=integrate(1/(x*(x^2+a^2)^2),x)
 --R                           2a x  + 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 43
+bb:=1/(2*a^2*(x^2+a^2))+1/(2*a^4)*log(x^2/(x^2+a^2))
+--R
+--R                         2
+--R          2    2        x        2
+--R        (x  + a )log(-------) + a
+--R                      2    2
+--R                     x  + a
+--R   (2)  --------------------------
+--R                  4 2     6
+--R                2a x  + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 44
+cc:=aa-bb
+--R
+--R                                           2
+--R               2    2                     x
+--R        - log(x  + a ) + 2log(x) - log(-------)
+--R                                        2    2
+--R                                       x  + a
+--R   (3)  ---------------------------------------
+--R                            4
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 45
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 46
+dd:=divlog cc
+--R
+--R               2
+--R        - log(x ) + 2log(x)
+--R   (5)  -------------------
+--R                  4
+--R                2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 47
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 48     14:136 Schaums and Axiom agree
+ee:=logpow dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.137~~~~~$\displaystyle\int{\frac{dx}{x^2(x^2+a^2)^2}}$}
@@ -248,18 +603,36 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 19
-aa:=integrate(1/((x^2+a^2)^2),x)
---R 
+--S 49
+aa:=integrate(1/(x^2*(x^2+a^2)^2),x)
 --R
---R          2    2      x
---R        (x  + a )atan(-) + a x
---R                      a
---R   (1)  ----------------------
---R                3 2     5
---R              2a x  + 2a
+--R             3     2       x        2     3
+--R        (- 3x  - 3a x)atan(-) - 3a x  - 2a
+--R                           a
+--R   (1)  -----------------------------------
+--R                      5 3     7
+--R                    2a x  + 2a x
 --R                                          Type: Union(Expression Integer,...)
---E 
+--E
+
+--S 50
+bb:=-1/(a^4*x)-x/(2*a^4*(x^2+a^2))-3/(2*a^5)*atan(x/a)
+--R
+--R             3     2       x        2     3
+--R        (- 3x  - 3a x)atan(-) - 3a x  - 2a
+--R                           a
+--R   (2)  -----------------------------------
+--R                      5 3     7
+--R                    2a x  + 2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 51     14:137 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.138~~~~~$\displaystyle\int{\frac{dx}{x^3(x^2+a^2)^2}}$}
@@ -270,7 +643,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 19
+--S 52
 aa:=integrate(1/(x^3*(x^2+a^2)^2),x)
 --R 
 --R
@@ -281,6 +654,70 @@ aa:=integrate(1/(x^3*(x^2+a^2)^2),x)
 --R                                 2a x  + 2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 53
+bb:=-1/(2*a^4*x^2)-1/(2*a^4*(x^2+a^2))-1/a^6*log(x^2/(x^2+a^2))
+--R
+--R                               2
+--R             4     2 2        x         2 2    4
+--R        (- 2x  - 2a x )log(-------) - 2a x  - a
+--R                            2    2
+--R                           x  + a
+--R   (2)  ----------------------------------------
+--R                        6 4     8 2
+--R                      2a x  + 2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 54
+cc:=aa-bb
+--R
+--R                                         2
+--R             2    2                     x
+--R        log(x  + a ) - 2log(x) + log(-------)
+--R                                      2    2
+--R                                     x  + a
+--R   (3)  -------------------------------------
+--R                           6
+--R                          a
+--R                                                     Type: Expression Integer
+--E
+
+--S 55
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 56
+dd:=divlog cc
+--R
+--R             2
+--R        log(x ) - 2log(x)
+--R   (5)  -----------------
+--R                 6
+--R                a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 58     14:138 Schaums and Axiom agree
+ee:=logpow dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.139~~~~~$\displaystyle\int{\frac{dx}{(x^2+a^2)^n}}$}
@@ -291,7 +728,7 @@ $$
 <<*>>=
 )clear all
 
---S 15 of 19
+--S 59     14:139 Axiom cannot do this integral
 aa:=integrate(1/((x^2+a^2)^n),x)
 --R 
 --R
@@ -311,7 +748,7 @@ $$
 <<*>>=
 )clear all
 
---S 16 of 19
+--S 60
 aa:=integrate(x/((x^2+a^2)^n),x)
 --R 
 --R
@@ -323,6 +760,48 @@ aa:=integrate(x/((x^2+a^2)^n),x)
 --R        (2n - 2)%e
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 61
+bb:=-1/(2*(n-1)*(x^2+a^2)^(n-1))
+--R
+--R                     1
+--R   (2)  - ----------------------
+--R                    2    2 n - 1
+--R          (2n - 2)(x  + a )
+--R                                                     Type: Expression Integer
+--E
+
+--S 62
+cc:=aa-bb
+--R
+--R                 2    2
+--R          n log(x  + a )       2    2   2    2 n - 1
+--R        %e               + (- x  - a )(x  + a )
+--R   (3)  --------------------------------------------
+--R                                          2    2
+--R                     2    2 n - 1  n log(x  + a )
+--R           (2n - 2)(x  + a )     %e
+--R                                                     Type: Expression Integer
+--E
+
+--S 63
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 64     14:140 Schaums and Axiom cannot simplify this expression
+dd:=explog cc
+--R
+--R          2    2 n       2    2   2    2 n - 1
+--R        (x  + a )  + (- x  - a )(x  + a )
+--R   (5)  --------------------------------------
+--R                     2    2 n - 1  2    2 n
+--R           (2n - 2)(x  + a )     (x  + a )
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.141~~~~~$\displaystyle\int{\frac{dx}{x(x^2+a^2)^n}}$}
@@ -333,7 +812,7 @@ $$
 <<*>>=
 )clear all
 
---S 17 of 19
+--S 65     14:141 Axiom cannot do this integral
 aa:=integrate(1/(x*(x^2+a^2)^n),x)
 --R 
 --R
@@ -354,7 +833,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 19
+--S 66     14:142 Axiom cannot do this integral
 aa:=integrate(x^m/((x^2+a^2)^n),x)
 --R 
 --R
@@ -375,7 +854,7 @@ $$
 <<*>>=
 )clear all
 
---S 19 of 19
+--S 67     14:143 Axiom cannot do this integral
 aa:=integrate(1/(x^m*(x^2+a^2)^n),x)
 --R 
 --R
diff --git a/src/input/schaum7.input.pamphlet b/src/input/schaum7.input.pamphlet
index 9226da0..3062d2e 100644
--- a/src/input/schaum7.input.pamphlet
+++ b/src/input/schaum7.input.pamphlet
@@ -16,7 +16,7 @@ $$\int{\frac{1}{x^2-a^2}}=-\frac{1}{a}\coth^{-1}\frac{x}{a}$$
 )set message auto off
 )clear all
 
---S 1 of 19
+--S 1
 aa:=integrate(1/(x^2-a^2),x)
 --R 
 --R
@@ -25,6 +25,45 @@ aa:=integrate(1/(x^2-a^2),x)
 --R                    2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=1/(2*a)*log((x-a)/(x+a))
+--R
+--R            x - a
+--R        log(-----)
+--R            x + a
+--R   (2)  ----------
+--R            2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3
+cc:=aa-bb
+--R
+--R                                        x - a
+--R        - log(x + a) + log(x - a) - log(-----)
+--R                                        x + a
+--R   (3)  --------------------------------------
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 4
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 5      14:144 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.145~~~~~$\displaystyle\int{\frac{x~dx}{x^2-a^2}}$}
@@ -32,7 +71,7 @@ $$\int{\frac{x}{x^2-a^2}}=\frac{1}{2}\ln(x^2-a^2)$$
 <<*>>=
 )clear all
 
---S 2 of 19
+--S 6
 aa:=integrate(x/(x^2-a^2),x)
 --R 
 --R
@@ -42,6 +81,24 @@ aa:=integrate(x/(x^2-a^2),x)
 --R              2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 7
+bb:=1/2*log(x^2-a^2)
+--R
+--R             2    2
+--R        log(x  - a )
+--R   (2)  ------------
+--R              2
+--R                                                     Type: Expression Integer
+--E
+
+--S 8      14:145 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.146~~~~~$\displaystyle\int{\frac{x^2~dx}{x^2-a^2}}$}
@@ -49,7 +106,7 @@ $$\int{\frac{x^2}{x^2-a^2}}=x+\frac{a}{2}\ln\left(\frac{x-a}{x+a}\right)$$
 <<*>>=
 )clear all
 
---S 3 of 19
+--S 9
 aa:=integrate(x^2/(x^2-a^2),x)
 --R 
 --R
@@ -58,6 +115,45 @@ aa:=integrate(x^2/(x^2-a^2),x)
 --R                         2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 10
+bb:=x+a/2*log((x-a)/(x+a))
+--R
+--R              x - a
+--R        a log(-----) + 2x
+--R              x + a
+--R   (2)  -----------------
+--R                2
+--R                                                     Type: Expression Integer
+--E
+
+--S 11
+cc:=aa-bb
+--R
+--R                                              x - a
+--R        - a log(x + a) + a log(x - a) - a log(-----)
+--R                                              x + a
+--R   (3)  --------------------------------------------
+--R                              2
+--R                                                     Type: Expression Integer
+--E
+
+--S 12
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 13     14:146 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.147~~~~~$\displaystyle\int{\frac{x^3~dx}{x^2-a^2}}$}
@@ -66,7 +162,7 @@ $$\int{\frac{x^3}{x^2-a^2}}=\frac{x^2}{2}+\frac{a^2}{2}\ln(x^2-a^2)$$
 <<*>>=
 )clear all
 
---S 4 of 19
+--S 14
 aa:=integrate(x^3/(x^2-a^2),x)
 --R 
 --R
@@ -76,6 +172,24 @@ aa:=integrate(x^3/(x^2-a^2),x)
 --R                 2
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 15
+bb:=x^2/2+a^2/2*log(x^2-a^2)
+--R
+--R         2     2    2     2
+--R        a log(x  - a ) + x
+--R   (2)  -------------------
+--R                 2
+--R                                                     Type: Expression Integer
+--E
+
+--S 16     14:147 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.148~~~~~$\displaystyle\int{\frac{dx}{x(x^2-a^2)}}$}
@@ -85,7 +199,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 19
+--S 17
 aa:=integrate(1/(x*(x^2-a^2)),x)
 --R 
 --R
@@ -96,6 +210,70 @@ aa:=integrate(1/(x*(x^2-a^2)),x)
 --R                  2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 18
+bb:=1/(2*a^2)*log((x^2-a^2)/x^2)
+--R
+--R             2    2
+--R            x  - a
+--R        log(-------)
+--R                2
+--R               x
+--R   (2)  ------------
+--R               2
+--R             2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+cc:=aa-bb
+--R
+--R                                      2    2
+--R             2    2                  x  - a
+--R        log(x  - a ) - 2log(x) - log(-------)
+--R                                         2
+--R                                        x
+--R   (3)  -------------------------------------
+--R                           2
+--R                         2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 20
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 21
+dd:=divlog cc
+--R
+--R             2
+--R        log(x ) - 2log(x)
+--R   (5)  -----------------
+--R                 2
+--R               2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 23     14:148 Schaums and Axiom agree
+ee:=logpow dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.149~~~~~$\displaystyle\int{\frac{dx}{x^2(x^2-a^2)}}$}
@@ -105,7 +283,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 19
+--S 24
 aa:=integrate(1/(x^2*(x^2-a^2)),x)
 --R 
 --R
@@ -115,6 +293,47 @@ aa:=integrate(1/(x^2*(x^2-a^2)),x)
 --R                       2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 25
+bb:=1/(a^2*x)+1/(2*a^3)*log((x-a)/(x+a))
+--R
+--R              x - a
+--R        x log(-----) + 2a
+--R              x + a
+--R   (2)  -----------------
+--R                 3
+--R               2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+cc:=aa-bb
+--R
+--R                                        x - a
+--R        - log(x + a) + log(x - a) - log(-----)
+--R                                        x + a
+--R   (3)  --------------------------------------
+--R                            3
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 28     14:149 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.150~~~~~$\displaystyle\int{\frac{dx}{x^3(x^2-a^2)}}$}
@@ -124,7 +343,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 19
+--S 29
 aa:=integrate(1/(x^3*(x^2-a^2)),x)
 --R 
 --R
@@ -135,6 +354,73 @@ aa:=integrate(1/(x^3*(x^2-a^2)),x)
 --R                     2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 30
+bb:=1/(2*a^2*x*2)-1/(2*a^4)*log(x^2/(x^2-a^2))
+--R
+--R                     2
+--R                    x        2
+--R        - 2x log(-------) + a
+--R                  2    2
+--R                 x  - a
+--R   (2)  ----------------------
+--R                   4
+--R                 4a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+cc:=aa-bb
+--R
+--R                                                 2
+--R          2     2    2      2           2       x        2      2
+--R        2x log(x  - a ) - 4x log(x) + 2x log(-------) - a x + 2a
+--R                                              2    2
+--R                                             x  - a
+--R   (3)  ---------------------------------------------------------
+--R                                    4 2
+--R                                  4a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 32
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 33
+dd:=divlog cc
+--R
+--R          2     2      2          2      2
+--R        2x log(x ) - 4x log(x) - a x + 2a
+--R   (5)  ----------------------------------
+--R                         4 2
+--R                       4a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 35     14:150 Schaums and Axiom DISAGREE BY A NON-CONSTANT
+ee:=logpow dd
+--R
+--R        - x + 2
+--R   (7)  -------
+--R           2 2
+--R         4a x
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.151~~~~~$\displaystyle\int{\frac{dx}{(x^2-a^2)^2}}$}
@@ -144,7 +430,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 19
+--S 36
 aa:=integrate(1/((x^2-a^2)^2),x)
 --R 
 --R
@@ -155,6 +441,47 @@ aa:=integrate(1/((x^2-a^2)^2),x)
 --R                            4a x  - 4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 37
+bb:=-x/(2*a^2*(x^2-a^2))-1/(4*a^3)*log((x-a)/(x+a))
+--R
+--R            2    2     x - a
+--R        (- x  + a )log(-----) - 2a x
+--R                       x + a
+--R   (2)  ----------------------------
+--R                   3 2     5
+--R                 4a x  - 4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 38
+cc:=aa-bb
+--R
+--R                                      x - a
+--R        log(x + a) - log(x - a) + log(-----)
+--R                                      x + a
+--R   (3)  ------------------------------------
+--R                           3
+--R                         4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 39
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 40     14:151 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.152~~~~~$\displaystyle\int{\frac{x~dx}{(x^2-a^2)^2}}$}
@@ -164,7 +491,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 19
+--S 41
 aa:=integrate(x/((x^2-a^2)^2),x)
 --R 
 --R
@@ -174,6 +501,24 @@ aa:=integrate(x/((x^2-a^2)^2),x)
 --R          2x  - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 42
+bb:=-1/(2*(x^2-a^2))
+--R
+--R              1
+--R   (2)  - ---------
+--R            2     2
+--R          2x  - 2a
+--R                                            Type: Fraction Polynomial Integer
+--E
+
+--S 43     14:152 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.153~~~~~$\displaystyle\int{\frac{x^2dx}{(x^2-a^2)^2}}$}
@@ -183,7 +528,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 19
+--S 44
 aa:=integrate(x^2/((x^2-a^2)^2),x)
 --R 
 --R
@@ -194,6 +539,46 @@ aa:=integrate(x^2/((x^2-a^2)^2),x)
 --R                            4a x  - 4a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 45
+bb:=-x/(2*(x^2-a^2))+1/(4*a)*log((x-a)/(x+a))
+--R
+--R          2    2     x - a
+--R        (x  - a )log(-----) - 2a x
+--R                     x + a
+--R   (2)  --------------------------
+--R                    2     3
+--R                4a x  - 4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 46
+cc:=aa-bb
+--R
+--R                                        x - a
+--R        - log(x + a) + log(x - a) - log(-----)
+--R                                        x + a
+--R   (3)  --------------------------------------
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 47
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 48     14:153 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.154~~~~~$\displaystyle\int{\frac{x^3dx}{(x^2-a^2)^2}}$}
@@ -203,7 +588,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 19
+--S 49
 aa:=integrate(x^3/((x^2-a^2)^2),x)
 --R 
 --R
@@ -214,6 +599,25 @@ aa:=integrate(x^3/((x^2-a^2)^2),x)
 --R                 2x  - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 50
+bb:=-a^2/(2*(x^2-a^2))+1/2*log(x^2-a^2)
+--R
+--R          2    2      2    2     2
+--R        (x  - a )log(x  - a ) - a
+--R   (2)  --------------------------
+--R                   2     2
+--R                 2x  - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 51     14:154 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.155~~~~~$\displaystyle\int{\frac{dx}{x(x^2-a^2)^2}}$}
@@ -223,7 +627,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 19
+--S 52
 aa:=integrate(1/(x*(x^2-a^2)^2),x)
 --R 
 --R
@@ -234,6 +638,70 @@ aa:=integrate(1/(x*(x^2-a^2)^2),x)
 --R                           2a x  - 2a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 53
+bb:=-1/(2*a^2*(x^2-a^2))+1/(2*a^4)*log(x^2/(x^2-a^2))
+--R
+--R                         2
+--R          2    2        x        2
+--R        (x  - a )log(-------) - a
+--R                      2    2
+--R                     x  - a
+--R   (2)  --------------------------
+--R                  4 2     6
+--R                2a x  - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 54
+cc:=aa-bb
+--R
+--R                                           2
+--R               2    2                     x
+--R        - log(x  - a ) + 2log(x) - log(-------)
+--R                                        2    2
+--R                                       x  - a
+--R   (3)  ---------------------------------------
+--R                            4
+--R                          2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 55
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 56
+dd:=divlog cc
+--R
+--R               2
+--R        - log(x ) + 2log(x)
+--R   (5)  -------------------
+--R                  4
+--R                2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 58     14:155 Schaums and Axiom agree
+ee:=logpow dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.156~~~~~$\displaystyle\int{\frac{dx}{x^2(x^2-a^2)^2}}$}
@@ -244,17 +712,57 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 19
-aa:=integrate(1/((x^2-a^2)^2),x)
---R 
+--S 59
+aa:=integrate(1/(x^2*(x^2-a^2)^2),x)
 --R
---R          2    2                  2    2
---R        (x  - a )log(x + a) + (- x  + a )log(x - a) - 2a x
---R   (1)  --------------------------------------------------
---R                              3 2     5
---R                            4a x  - 4a
+--R           3     2                    3     2                   2     3
+--R        (3x  - 3a x)log(x + a) + (- 3x  + 3a x)log(x - a) - 6a x  + 4a
+--R   (1)  ---------------------------------------------------------------
+--R                                    5 3     7
+--R                                  4a x  - 4a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 60
+bb:=-1/(a^4*x)-x/(2*a^4*(x^2-a^2))-3/(4*a^5)*log((x-a)/(x+a))
+--R
+--R             3     2      x - a        2     3
+--R        (- 3x  + 3a x)log(-----) - 6a x  + 4a
+--R                          x + a
+--R   (2)  --------------------------------------
+--R                       5 3     7
+--R                     4a x  - 4a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 61
+cc:=aa-bb
+--R
+--R                                         x - a
+--R        3log(x + a) - 3log(x - a) + 3log(-----)
+--R                                         x + a
+--R   (3)  ---------------------------------------
+--R                            5
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 62
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 63     14:156 Schaums and Axiom agree
+dd:=divlog cc
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.157~~~~~$\displaystyle\int{\frac{dx}{x^3(x^2-a^2)^2}}$}
@@ -265,7 +773,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 19
+--S 64
 aa:=integrate(1/(x^3*(x^2-a^2)^2),x)
 --R 
 --R
@@ -276,6 +784,70 @@ aa:=integrate(1/(x^3*(x^2-a^2)^2),x)
 --R                                 2a x  - 2a x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 65
+bb:=-1/(2*a^4*x^2)-1/(2*a^4*(x^2-a^2))+1/a^6*log(x^2/(x^2-a^2))
+--R
+--R                             2
+--R           4     2 2        x         2 2    4
+--R        (2x  - 2a x )log(-------) - 2a x  + a
+--R                          2    2
+--R                         x  - a
+--R   (2)  --------------------------------------
+--R                       6 4     8 2
+--R                     2a x  - 2a x
+--R                                                     Type: Expression Integer
+--E
+
+--S 66
+cc:=aa-bb
+--R
+--R                                           2
+--R               2    2                     x
+--R        - log(x  - a ) + 2log(x) - log(-------)
+--R                                        2    2
+--R                                       x  - a
+--R   (3)  ---------------------------------------
+--R                            6
+--R                           a
+--R                                                     Type: Expression Integer
+--E
+
+--S 67
+divlog:=rule(log(a/b) == log(a) - log(b))
+--R
+--R            a
+--R   (4)  log(-) == - log(b) + log(a)
+--R            b
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 68
+dd:=divlog cc
+--R
+--R               2
+--R        - log(x ) + 2log(x)
+--R   (5)  -------------------
+--R                  6
+--R                 a
+--R                                                     Type: Expression Integer
+--E
+
+--S 69
+logpow:=rule(log(a^n) == n*log(a))
+--R
+--R             n
+--R   (6)  log(a ) == n log(a)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 70     14:157 Schaums and Axiom agree
+ee:=logpow dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.158~~~~~$\displaystyle\int{\frac{dx}{(x^2-a^2)^n}}$}
@@ -286,7 +858,7 @@ $$
 <<*>>=
 )clear all
 
---S 15 of 19
+--S 71     14:158 Axiom cannot do this integral
 aa:=integrate(1/((x^2-a^2)^n),x)
 --R 
 --R
@@ -306,7 +878,7 @@ $$
 <<*>>=
 )clear all
 
---S 16 of 19
+--S 72
 aa:=integrate(x/((x^2-a^2)^n),x)
 --R 
 --R
@@ -318,6 +890,49 @@ aa:=integrate(x/((x^2-a^2)^n),x)
 --R        (2n - 2)%e
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 73
+bb:=-1/(2*(n-1)*(x^2-a^2)^(n-1))
+--R
+--R                     1
+--R   (2)  - ----------------------
+--R                    2    2 n - 1
+--R          (2n - 2)(x  - a )
+--R                                                     Type: Expression Integer
+--E
+
+--S 74
+cc:=aa-bb
+--R
+--R                 2    2
+--R          n log(x  - a )       2    2   2    2 n - 1
+--R        %e               + (- x  + a )(x  - a )
+--R   (3)  --------------------------------------------
+--R                                          2    2
+--R                     2    2 n - 1  n log(x  - a )
+--R           (2n - 2)(x  - a )     %e
+--R                                                     Type: Expression Integer
+--E
+
+--S 75
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 76     14:159 Axiom cannot simplify this expression
+dd:=explog cc
+--R
+--R          2    2 n       2    2   2    2 n - 1
+--R        (x  - a )  + (- x  + a )(x  - a )
+--R   (5)  --------------------------------------
+--R                     2    2 n - 1  2    2 n
+--R           (2n - 2)(x  - a )     (x  - a )
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.160~~~~~$\displaystyle\int{\frac{dx}{x(x^2-a^2)^n}}$}
@@ -328,7 +943,7 @@ $$
 <<*>>=
 )clear all
 
---S 17 of 19
+--S 77     14:160 Axiom cannot compute this integral
 aa:=integrate(1/(x*(x^2-a^2)^n),x)
 --R 
 --R
@@ -349,7 +964,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 19
+--S 78     14:161 Axiom cannot compute this integral
 aa:=integrate(x^m/((x^2-a^2)^n),x)
 --R 
 --R
@@ -370,7 +985,7 @@ $$
 <<*>>=
 )clear all
 
---S 19 of 19
+--S 79     14:162 Axiom cannot compute this integral
 aa:=integrate(1/(x^m*(x^2-a^2)^n),x)
 --R 
 --R
